import{S as Rl,i as Vl,s as Wl,e as o,k as u,w as E,t,M as Ql,c as i,d as a,m as g,a as p,x as P,h as l,b as $,N as Jl,G as e,g as m,y as T,q,o as I,B as D,v as Xl,L as ya}from"../../chunks/vendor-hf-doc-builder.js";import{T as el}from"../../chunks/Tip-hf-doc-builder.js";import{Y as Zl}from"../../chunks/Youtube-hf-doc-builder.js";import{I as va}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{C as me}from"../../chunks/CodeBlock-hf-doc-builder.js";import{D as en}from"../../chunks/DocNotebookDropdown-hf-doc-builder.js";import{F as Ls,M as Os}from"../../chunks/Markdown-hf-doc-builder.js";function sn(W){let r,f,n,d,w,y,F,O,M,L,N,z,A,U,x,re,C,Q,v,H,B,V,Z,ae,te;return{c(){r=t(`The task illustrated in this tutorial is supported by the following model architectures:

`),f=o("p"),n=o("a"),d=t("BEiT"),w=t(", "),y=o("a"),F=t("Data2VecVision"),O=t(", "),M=o("a"),L=t("DPT"),N=t(", "),z=o("a"),A=t("MobileNetV2"),U=t(", "),x=o("a"),re=t("MobileViT"),C=t(", "),Q=o("a"),v=t("Seaformer"),H=t(", "),B=o("a"),V=t("SegFormer"),Z=t(", "),ae=o("a"),te=t("UPerNet"),this.h()},l(ne){r=l(ne,`The task illustrated in this tutorial is supported by the following model architectures:

`),f=i(ne,"P",{});var S=p(f);n=i(S,"A",{href:!0});var fe=p(n);d=l(fe,"BEiT"),fe.forEach(a),w=l(S,", "),y=i(S,"A",{href:!0});var ce=p(y);F=l(ce,"Data2VecVision"),ce.forEach(a),O=l(S,", "),M=i(S,"A",{href:!0});var ue=p(M);L=l(ue,"DPT"),ue.forEach(a),N=l(S,", "),z=i(S,"A",{href:!0});var X=p(z);A=l(X,"MobileNetV2"),X.forEach(a),U=l(S,", "),x=i(S,"A",{href:!0});var oe=p(x);re=l(oe,"MobileViT"),oe.forEach(a),C=l(S,", "),Q=i(S,"A",{href:!0});var ee=p(Q);v=l(ee,"Seaformer"),ee.forEach(a),H=l(S,", "),B=i(S,"A",{href:!0});var Y=p(B);V=l(Y,"SegFormer"),Y.forEach(a),Z=l(S,", "),ae=i(S,"A",{href:!0});var ie=p(ae);te=l(ie,"UPerNet"),ie.forEach(a),S.forEach(a),this.h()},h(){$(n,"href","../model_doc/beit"),$(y,"href","../model_doc/data2vec-vision"),$(M,"href","../model_doc/dpt"),$(z,"href","../model_doc/mobilenet_v2"),$(x,"href","../model_doc/mobilevit"),$(Q,"href","../model_doc/seaformer"),$(B,"href","../model_doc/segformer"),$(ae,"href","../model_doc/upernet")},m(ne,S){m(ne,r,S),m(ne,f,S),e(f,n),e(n,d),e(f,w),e(f,y),e(y,F),e(f,O),e(f,M),e(M,L),e(f,N),e(f,z),e(z,A),e(f,U),e(f,x),e(x,re),e(f,C),e(f,Q),e(Q,v),e(f,H),e(f,B),e(B,V),e(f,Z),e(f,ae),e(ae,te)},d(ne){ne&&a(r),ne&&a(f)}}}function an(W){let r,f,n,d,w,y,F,O,M,L,N,z,A,U,x,re,C,Q,v,H,B,V,Z,ae,te,ne,S,fe,ce,ue,X,oe,ee,Y,ie,_,K,pe,_e,he,ge,b,J;return N=new me({props:{code:`from torchvision.transforms import ColorJitter

jitter = ColorJitter(brightness=0.25, contrast=0.25, saturation=0.25, hue=0.1)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> torchvision.transforms <span class="hljs-keyword">import</span> ColorJitter

<span class="hljs-meta">&gt;&gt;&gt; </span>jitter = ColorJitter(brightness=<span class="hljs-number">0.25</span>, contrast=<span class="hljs-number">0.25</span>, saturation=<span class="hljs-number">0.25</span>, hue=<span class="hljs-number">0.1</span>)`}}),X=new me({props:{code:`def train_transforms(example_batch):
    images = [jitter(x) for x in example_batch["image"]]
    labels = [x for x in example_batch["annotation"]]
    inputs = image_processor(images, labels)
    return inputs


def val_transforms(example_batch):
    images = [x for x in example_batch["image"]]
    labels = [x for x in example_batch["annotation"]]
    inputs = image_processor(images, labels)
    return inputs`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">train_transforms</span>(<span class="hljs-params">example_batch</span>):
<span class="hljs-meta">... </span>    images = [jitter(x) <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> example_batch[<span class="hljs-string">&quot;image&quot;</span>]]
<span class="hljs-meta">... </span>    labels = [x <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> example_batch[<span class="hljs-string">&quot;annotation&quot;</span>]]
<span class="hljs-meta">... </span>    inputs = image_processor(images, labels)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> inputs


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">val_transforms</span>(<span class="hljs-params">example_batch</span>):
<span class="hljs-meta">... </span>    images = [x <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> example_batch[<span class="hljs-string">&quot;image&quot;</span>]]
<span class="hljs-meta">... </span>    labels = [x <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> example_batch[<span class="hljs-string">&quot;annotation&quot;</span>]]
<span class="hljs-meta">... </span>    inputs = image_processor(images, labels)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> inputs`}}),b=new me({props:{code:`train_ds.set_transform(train_transforms)
test_ds.set_transform(val_transforms)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>train_ds.set_transform(train_transforms)
<span class="hljs-meta">&gt;&gt;&gt; </span>test_ds.set_transform(val_transforms)`}}),{c(){r=o("p"),f=t("It is common to apply some data augmentations to an image dataset to make a model more robust against overfitting. In this guide, you\u2019ll use the "),n=o("a"),d=o("code"),w=t("ColorJitter"),y=t(" function from "),F=o("a"),O=t("torchvision"),M=t(" to randomly change the color properties of an image, but you can also use any image library you like."),L=u(),E(N.$$.fragment),z=u(),A=o("p"),U=t("Now create two preprocessing functions to prepare the images and annotations for the model. These functions convert the images into "),x=o("code"),re=t("pixel_values"),C=t(" and annotations to "),Q=o("code"),v=t("labels"),H=t(". For the training set, "),B=o("code"),V=t("jitter"),Z=t(" is applied before providing the images to the image processor. For the test set, the image processor crops and normalizes the "),ae=o("code"),te=t("images"),ne=t(", and only crops the "),S=o("code"),fe=t("labels"),ce=t(" because no data augmentation is applied during testing."),ue=u(),E(X.$$.fragment),oe=u(),ee=o("p"),Y=t("To apply the "),ie=o("code"),_=t("jitter"),K=t(" over the entire dataset, use the \u{1F917} Datasets "),pe=o("a"),_e=t("set_transform"),he=t(" function. The transform is applied on the fly which is faster and consumes less disk space:"),ge=u(),E(b.$$.fragment),this.h()},l(j){r=i(j,"P",{});var se=p(r);f=l(se,"It is common to apply some data augmentations to an image dataset to make a model more robust against overfitting. In this guide, you\u2019ll use the "),n=i(se,"A",{href:!0,rel:!0});var $e=p(n);d=i($e,"CODE",{});var be=p(d);w=l(be,"ColorJitter"),be.forEach(a),$e.forEach(a),y=l(se," function from "),F=i(se,"A",{href:!0,rel:!0});var De=p(F);O=l(De,"torchvision"),De.forEach(a),M=l(se," to randomly change the color properties of an image, but you can also use any image library you like."),se.forEach(a),L=g(j),P(N.$$.fragment,j),z=g(j),A=i(j,"P",{});var G=p(A);U=l(G,"Now create two preprocessing functions to prepare the images and annotations for the model. These functions convert the images into "),x=i(G,"CODE",{});var Ce=p(x);re=l(Ce,"pixel_values"),Ce.forEach(a),C=l(G," and annotations to "),Q=i(G,"CODE",{});var ve=p(Q);v=l(ve,"labels"),ve.forEach(a),H=l(G,". For the training set, "),B=i(G,"CODE",{});var qe=p(B);V=l(qe,"jitter"),qe.forEach(a),Z=l(G," is applied before providing the images to the image processor. For the test set, the image processor crops and normalizes the "),ae=i(G,"CODE",{});var Pe=p(ae);te=l(Pe,"images"),Pe.forEach(a),ne=l(G,", and only crops the "),S=i(G,"CODE",{});var ke=p(S);fe=l(ke,"labels"),ke.forEach(a),ce=l(G," because no data augmentation is applied during testing."),G.forEach(a),ue=g(j),P(X.$$.fragment,j),oe=g(j),ee=i(j,"P",{});var xe=p(ee);Y=l(xe,"To apply the "),ie=i(xe,"CODE",{});var Ie=p(ie);_=l(Ie,"jitter"),Ie.forEach(a),K=l(xe," over the entire dataset, use the \u{1F917} Datasets "),pe=i(xe,"A",{href:!0,rel:!0});var ye=p(pe);_e=l(ye,"set_transform"),ye.forEach(a),he=l(xe," function. The transform is applied on the fly which is faster and consumes less disk space:"),xe.forEach(a),ge=g(j),P(b.$$.fragment,j),this.h()},h(){$(n,"href","https://pytorch.org/vision/stable/generated/torchvision.transforms.ColorJitter.html"),$(n,"rel","nofollow"),$(F,"href","https://pytorch.org/vision/stable/index.html"),$(F,"rel","nofollow"),$(pe,"href","https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset.set_transform"),$(pe,"rel","nofollow")},m(j,se){m(j,r,se),e(r,f),e(r,n),e(n,d),e(d,w),e(r,y),e(r,F),e(F,O),e(r,M),m(j,L,se),T(N,j,se),m(j,z,se),m(j,A,se),e(A,U),e(A,x),e(x,re),e(A,C),e(A,Q),e(Q,v),e(A,H),e(A,B),e(B,V),e(A,Z),e(A,ae),e(ae,te),e(A,ne),e(A,S),e(S,fe),e(A,ce),m(j,ue,se),T(X,j,se),m(j,oe,se),m(j,ee,se),e(ee,Y),e(ee,ie),e(ie,_),e(ee,K),e(ee,pe),e(pe,_e),e(ee,he),m(j,ge,se),T(b,j,se),J=!0},p:ya,i(j){J||(q(N.$$.fragment,j),q(X.$$.fragment,j),q(b.$$.fragment,j),J=!0)},o(j){I(N.$$.fragment,j),I(X.$$.fragment,j),I(b.$$.fragment,j),J=!1},d(j){j&&a(r),j&&a(L),D(N,j),j&&a(z),j&&a(A),j&&a(ue),D(X,j),j&&a(oe),j&&a(ee),j&&a(ge),D(b,j)}}}function tn(W){let r,f;return r=new Os({props:{$$slots:{default:[an]},$$scope:{ctx:W}}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p(n,d){const w={};d&2&&(w.$$scope={dirty:d,ctx:n}),r.$set(w)},i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function ln(W){let r,f,n,d,w,y,F,O,M,L,N,z,A,U,x,re,C,Q,v,H,B,V,Z,ae,te,ne,S,fe,ce,ue,X,oe,ee,Y,ie,_,K,pe,_e,he,ge;return x=new me({props:{code:`import tensorflow as tf


def aug_transforms(image):
    image = tf.keras.utils.img_to_array(image)
    image = tf.image.random_brightness(image, 0.25)
    image = tf.image.random_contrast(image, 0.5, 2.0)
    image = tf.image.random_saturation(image, 0.75, 1.25)
    image = tf.image.random_hue(image, 0.1)
    image = tf.transpose(image, (2, 0, 1))
    return image


def transforms(image):
    image = tf.keras.utils.img_to_array(image)
    image = tf.transpose(image, (2, 0, 1))
    return image`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">aug_transforms</span>(<span class="hljs-params">image</span>):
<span class="hljs-meta">... </span>    image = tf.keras.utils.img_to_array(image)
<span class="hljs-meta">... </span>    image = tf.image.random_brightness(image, <span class="hljs-number">0.25</span>)
<span class="hljs-meta">... </span>    image = tf.image.random_contrast(image, <span class="hljs-number">0.5</span>, <span class="hljs-number">2.0</span>)
<span class="hljs-meta">... </span>    image = tf.image.random_saturation(image, <span class="hljs-number">0.75</span>, <span class="hljs-number">1.25</span>)
<span class="hljs-meta">... </span>    image = tf.image.random_hue(image, <span class="hljs-number">0.1</span>)
<span class="hljs-meta">... </span>    image = tf.transpose(image, (<span class="hljs-number">2</span>, <span class="hljs-number">0</span>, <span class="hljs-number">1</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> image


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">transforms</span>(<span class="hljs-params">image</span>):
<span class="hljs-meta">... </span>    image = tf.keras.utils.img_to_array(image)
<span class="hljs-meta">... </span>    image = tf.transpose(image, (<span class="hljs-number">2</span>, <span class="hljs-number">0</span>, <span class="hljs-number">1</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> image`}}),oe=new me({props:{code:`def train_transforms(example_batch):
    images = [aug_transforms(x.convert("RGB")) for x in example_batch["image"]]
    labels = [x for x in example_batch["annotation"]]
    inputs = image_processor(images, labels)
    return inputs


def val_transforms(example_batch):
    images = [transforms(x.convert("RGB")) for x in example_batch["image"]]
    labels = [x for x in example_batch["annotation"]]
    inputs = image_processor(images, labels)
    return inputs`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">train_transforms</span>(<span class="hljs-params">example_batch</span>):
<span class="hljs-meta">... </span>    images = [aug_transforms(x.convert(<span class="hljs-string">&quot;RGB&quot;</span>)) <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> example_batch[<span class="hljs-string">&quot;image&quot;</span>]]
<span class="hljs-meta">... </span>    labels = [x <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> example_batch[<span class="hljs-string">&quot;annotation&quot;</span>]]
<span class="hljs-meta">... </span>    inputs = image_processor(images, labels)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> inputs


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">val_transforms</span>(<span class="hljs-params">example_batch</span>):
<span class="hljs-meta">... </span>    images = [transforms(x.convert(<span class="hljs-string">&quot;RGB&quot;</span>)) <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> example_batch[<span class="hljs-string">&quot;image&quot;</span>]]
<span class="hljs-meta">... </span>    labels = [x <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> example_batch[<span class="hljs-string">&quot;annotation&quot;</span>]]
<span class="hljs-meta">... </span>    inputs = image_processor(images, labels)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> inputs`}}),he=new me({props:{code:`train_ds.set_transform(train_transforms)
test_ds.set_transform(val_transforms)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>train_ds.set_transform(train_transforms)
<span class="hljs-meta">&gt;&gt;&gt; </span>test_ds.set_transform(val_transforms)`}}),{c(){r=o("p"),f=t(`It is common to apply some data augmentations to an image dataset to make a model more robust against overfitting.
In this guide, you\u2019ll use `),n=o("a"),d=o("code"),w=t("tf.image"),y=t(` to randomly change the color properties of an image, but you can also use any image
library you like.
Define two separate transformation functions:`),F=u(),O=o("ul"),M=o("li"),L=t("training data transformations that include image augmentation"),N=u(),z=o("li"),A=t("validation data transformations that only transpose the images, since computer vision models in \u{1F917} Transformers expect channels-first layout"),U=u(),E(x.$$.fragment),re=u(),C=o("p"),Q=t(`Next, create two preprocessing functions to prepare batches of images and annotations for the model. These functions apply
the image transformations and use the earlier loaded `),v=o("code"),H=t("image_processor"),B=t(" to convert the images into "),V=o("code"),Z=t("pixel_values"),ae=t(` and
annotations to `),te=o("code"),ne=t("labels"),S=t(". "),fe=o("code"),ce=t("ImageProcessor"),ue=t(" also takes care of resizing and normalizing the images."),X=u(),E(oe.$$.fragment),ee=u(),Y=o("p"),ie=t("To apply the preprocessing transformations over the entire dataset, use the \u{1F917} Datasets "),_=o("a"),K=t("set_transform"),pe=t(` function.
The transform is applied on the fly which is faster and consumes less disk space:`),_e=u(),E(he.$$.fragment),this.h()},l(b){r=i(b,"P",{});var J=p(r);f=l(J,`It is common to apply some data augmentations to an image dataset to make a model more robust against overfitting.
In this guide, you\u2019ll use `),n=i(J,"A",{href:!0,rel:!0});var j=p(n);d=i(j,"CODE",{});var se=p(d);w=l(se,"tf.image"),se.forEach(a),j.forEach(a),y=l(J,` to randomly change the color properties of an image, but you can also use any image
library you like.
Define two separate transformation functions:`),J.forEach(a),F=g(b),O=i(b,"UL",{});var $e=p(O);M=i($e,"LI",{});var be=p(M);L=l(be,"training data transformations that include image augmentation"),be.forEach(a),N=g($e),z=i($e,"LI",{});var De=p(z);A=l(De,"validation data transformations that only transpose the images, since computer vision models in \u{1F917} Transformers expect channels-first layout"),De.forEach(a),$e.forEach(a),U=g(b),P(x.$$.fragment,b),re=g(b),C=i(b,"P",{});var G=p(C);Q=l(G,`Next, create two preprocessing functions to prepare batches of images and annotations for the model. These functions apply
the image transformations and use the earlier loaded `),v=i(G,"CODE",{});var Ce=p(v);H=l(Ce,"image_processor"),Ce.forEach(a),B=l(G," to convert the images into "),V=i(G,"CODE",{});var ve=p(V);Z=l(ve,"pixel_values"),ve.forEach(a),ae=l(G,` and
annotations to `),te=i(G,"CODE",{});var qe=p(te);ne=l(qe,"labels"),qe.forEach(a),S=l(G,". "),fe=i(G,"CODE",{});var Pe=p(fe);ce=l(Pe,"ImageProcessor"),Pe.forEach(a),ue=l(G," also takes care of resizing and normalizing the images."),G.forEach(a),X=g(b),P(oe.$$.fragment,b),ee=g(b),Y=i(b,"P",{});var ke=p(Y);ie=l(ke,"To apply the preprocessing transformations over the entire dataset, use the \u{1F917} Datasets "),_=i(ke,"A",{href:!0,rel:!0});var xe=p(_);K=l(xe,"set_transform"),xe.forEach(a),pe=l(ke,` function.
The transform is applied on the fly which is faster and consumes less disk space:`),ke.forEach(a),_e=g(b),P(he.$$.fragment,b),this.h()},h(){$(n,"href","https://www.tensorflow.org/api_docs/python/tf/image"),$(n,"rel","nofollow"),$(_,"href","https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset.set_transform"),$(_,"rel","nofollow")},m(b,J){m(b,r,J),e(r,f),e(r,n),e(n,d),e(d,w),e(r,y),m(b,F,J),m(b,O,J),e(O,M),e(M,L),e(O,N),e(O,z),e(z,A),m(b,U,J),T(x,b,J),m(b,re,J),m(b,C,J),e(C,Q),e(C,v),e(v,H),e(C,B),e(C,V),e(V,Z),e(C,ae),e(C,te),e(te,ne),e(C,S),e(C,fe),e(fe,ce),e(C,ue),m(b,X,J),T(oe,b,J),m(b,ee,J),m(b,Y,J),e(Y,ie),e(Y,_),e(_,K),e(Y,pe),m(b,_e,J),T(he,b,J),ge=!0},p:ya,i(b){ge||(q(x.$$.fragment,b),q(oe.$$.fragment,b),q(he.$$.fragment,b),ge=!0)},o(b){I(x.$$.fragment,b),I(oe.$$.fragment,b),I(he.$$.fragment,b),ge=!1},d(b){b&&a(r),b&&a(F),b&&a(O),b&&a(U),D(x,b),b&&a(re),b&&a(C),b&&a(X),D(oe,b),b&&a(ee),b&&a(Y),b&&a(_e),D(he,b)}}}function nn(W){let r,f;return r=new Os({props:{$$slots:{default:[ln]},$$scope:{ctx:W}}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p(n,d){const w={};d&2&&(w.$$scope={dirty:d,ctx:n}),r.$set(w)},i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function rn(W){let r,f;return r=new me({props:{code:`def compute_metrics(eval_pred):
    with torch.no_grad():
        logits, labels = eval_pred
        logits_tensor = torch.from_numpy(logits)
        logits_tensor = nn.functional.interpolate(
            logits_tensor,
            size=labels.shape[-2:],
            mode="bilinear",
            align_corners=False,
        ).argmax(dim=1)

        pred_labels = logits_tensor.detach().cpu().numpy()
        metrics = metric.compute(
            predictions=pred_labels,
            references=labels,
            num_labels=num_labels,
            ignore_index=255,
            reduce_labels=False,
        )
        for key, value in metrics.items():
            if type(value) is np.ndarray:
                metrics[key] = value.tolist()
        return metrics`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">compute_metrics</span>(<span class="hljs-params">eval_pred</span>):
<span class="hljs-meta">... </span>    <span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>        logits, labels = eval_pred
<span class="hljs-meta">... </span>        logits_tensor = torch.from_numpy(logits)
<span class="hljs-meta">... </span>        logits_tensor = nn.functional.interpolate(
<span class="hljs-meta">... </span>            logits_tensor,
<span class="hljs-meta">... </span>            size=labels.shape[-<span class="hljs-number">2</span>:],
<span class="hljs-meta">... </span>            mode=<span class="hljs-string">&quot;bilinear&quot;</span>,
<span class="hljs-meta">... </span>            align_corners=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>        ).argmax(dim=<span class="hljs-number">1</span>)

<span class="hljs-meta">... </span>        pred_labels = logits_tensor.detach().cpu().numpy()
<span class="hljs-meta">... </span>        metrics = metric.compute(
<span class="hljs-meta">... </span>            predictions=pred_labels,
<span class="hljs-meta">... </span>            references=labels,
<span class="hljs-meta">... </span>            num_labels=num_labels,
<span class="hljs-meta">... </span>            ignore_index=<span class="hljs-number">255</span>,
<span class="hljs-meta">... </span>            reduce_labels=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>        )
<span class="hljs-meta">... </span>        <span class="hljs-keyword">for</span> key, value <span class="hljs-keyword">in</span> metrics.items():
<span class="hljs-meta">... </span>            <span class="hljs-keyword">if</span> <span class="hljs-built_in">type</span>(value) <span class="hljs-keyword">is</span> np.ndarray:
<span class="hljs-meta">... </span>                metrics[key] = value.tolist()
<span class="hljs-meta">... </span>        <span class="hljs-keyword">return</span> metrics`}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p:ya,i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function on(W){let r,f;return r=new Os({props:{$$slots:{default:[rn]},$$scope:{ctx:W}}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p(n,d){const w={};d&2&&(w.$$scope={dirty:d,ctx:n}),r.$set(w)},i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function pn(W){let r,f;return r=new me({props:{code:`def compute_metrics(eval_pred):
    logits, labels = eval_pred
    logits = tf.transpose(logits, perm=[0, 2, 3, 1])
    logits_resized = tf.image.resize(
        logits,
        size=tf.shape(labels)[1:],
        method="bilinear",
    )

    pred_labels = tf.argmax(logits_resized, axis=-1)
    metrics = metric.compute(
        predictions=pred_labels,
        references=labels,
        num_labels=num_labels,
        ignore_index=-1,
        reduce_labels=image_processor.do_reduce_labels,
    )

    per_category_accuracy = metrics.pop("per_category_accuracy").tolist()
    per_category_iou = metrics.pop("per_category_iou").tolist()

    metrics.update({f"accuracy_{id2label[i]}": v for i, v in enumerate(per_category_accuracy)})
    metrics.update({f"iou_{id2label[i]}": v for i, v in enumerate(per_category_iou)})
    return {"val_" + k: v for k, v in metrics.items()}`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">compute_metrics</span>(<span class="hljs-params">eval_pred</span>):
<span class="hljs-meta">... </span>    logits, labels = eval_pred
<span class="hljs-meta">... </span>    logits = tf.transpose(logits, perm=[<span class="hljs-number">0</span>, <span class="hljs-number">2</span>, <span class="hljs-number">3</span>, <span class="hljs-number">1</span>])
<span class="hljs-meta">... </span>    logits_resized = tf.image.resize(
<span class="hljs-meta">... </span>        logits,
<span class="hljs-meta">... </span>        size=tf.shape(labels)[<span class="hljs-number">1</span>:],
<span class="hljs-meta">... </span>        method=<span class="hljs-string">&quot;bilinear&quot;</span>,
<span class="hljs-meta">... </span>    )

<span class="hljs-meta">... </span>    pred_labels = tf.argmax(logits_resized, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">... </span>    metrics = metric.compute(
<span class="hljs-meta">... </span>        predictions=pred_labels,
<span class="hljs-meta">... </span>        references=labels,
<span class="hljs-meta">... </span>        num_labels=num_labels,
<span class="hljs-meta">... </span>        ignore_index=-<span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>        reduce_labels=image_processor.do_reduce_labels,
<span class="hljs-meta">... </span>    )

<span class="hljs-meta">... </span>    per_category_accuracy = metrics.pop(<span class="hljs-string">&quot;per_category_accuracy&quot;</span>).tolist()
<span class="hljs-meta">... </span>    per_category_iou = metrics.pop(<span class="hljs-string">&quot;per_category_iou&quot;</span>).tolist()

<span class="hljs-meta">... </span>    metrics.update({<span class="hljs-string">f&quot;accuracy_<span class="hljs-subst">{id2label[i]}</span>&quot;</span>: v <span class="hljs-keyword">for</span> i, v <span class="hljs-keyword">in</span> <span class="hljs-built_in">enumerate</span>(per_category_accuracy)})
<span class="hljs-meta">... </span>    metrics.update({<span class="hljs-string">f&quot;iou_<span class="hljs-subst">{id2label[i]}</span>&quot;</span>: v <span class="hljs-keyword">for</span> i, v <span class="hljs-keyword">in</span> <span class="hljs-built_in">enumerate</span>(per_category_iou)})
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> {<span class="hljs-string">&quot;val_&quot;</span> + k: v <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> metrics.items()}`}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p:ya,i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function mn(W){let r,f;return r=new Os({props:{$$slots:{default:[pn]},$$scope:{ctx:W}}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p(n,d){const w={};d&2&&(w.$$scope={dirty:d,ctx:n}),r.$set(w)},i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function cn(W){let r,f,n,d,w,y,F,O;return{c(){r=o("p"),f=t("If you aren\u2019t familiar with finetuning a model with the "),n=o("a"),d=t("Trainer"),w=t(", take a look at the basic tutorial "),y=o("a"),F=t("here"),O=t("!"),this.h()},l(M){r=i(M,"P",{});var L=p(r);f=l(L,"If you aren\u2019t familiar with finetuning a model with the "),n=i(L,"A",{href:!0});var N=p(n);d=l(N,"Trainer"),N.forEach(a),w=l(L,", take a look at the basic tutorial "),y=i(L,"A",{href:!0});var z=p(y);F=l(z,"here"),z.forEach(a),O=l(L,"!"),L.forEach(a),this.h()},h(){$(n,"href","/docs/transformers/pr_21819/en/main_classes/trainer#transformers.Trainer"),$(y,"href","../training#finetune-with-trainer")},m(M,L){m(M,r,L),e(r,f),e(r,n),e(n,d),e(r,w),e(r,y),e(y,F),e(r,O)},d(M){M&&a(r)}}}function hn(W){let r,f,n,d,w,y,F,O,M,L,N,z,A,U,x,re,C,Q,v,H,B,V,Z,ae,te,ne,S,fe,ce,ue,X,oe,ee,Y,ie,_,K,pe,_e,he,ge,b,J,j,se,$e,be,De,G,Ce,ve,qe,Pe,ke,xe,Ie,ye,je,we,Ne,Fe,as,Ye,Le,Oe,Me;return r=new el({props:{$$slots:{default:[cn]},$$scope:{ctx:W}}}),M=new me({props:{code:`from transformers import AutoModelForSemanticSegmentation, TrainingArguments, Trainer

model = AutoModelForSemanticSegmentation.from_pretrained(checkpoint, id2label=id2label, label2id=label2id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSemanticSegmentation, TrainingArguments, Trainer

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSemanticSegmentation.from_pretrained(checkpoint, id2label=id2label, label2id=label2id)`}}),ye=new me({props:{code:`training_args = TrainingArguments(
    output_dir="segformer-b0-scene-parse-150",
    learning_rate=6e-5,
    num_train_epochs=50,
    per_device_train_batch_size=2,
    per_device_eval_batch_size=2,
    save_total_limit=3,
    evaluation_strategy="steps",
    save_strategy="steps",
    save_steps=20,
    eval_steps=20,
    logging_steps=1,
    eval_accumulation_steps=5,
    remove_unused_columns=False,
    push_to_hub=True,
)

trainer = Trainer(
    model=model,
    args=training_args,
    train_dataset=train_ds,
    eval_dataset=test_ds,
    compute_metrics=compute_metrics,
)

trainer.train()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>training_args = TrainingArguments(
<span class="hljs-meta">... </span>    output_dir=<span class="hljs-string">&quot;segformer-b0-scene-parse-150&quot;</span>,
<span class="hljs-meta">... </span>    learning_rate=<span class="hljs-number">6e-5</span>,
<span class="hljs-meta">... </span>    num_train_epochs=<span class="hljs-number">50</span>,
<span class="hljs-meta">... </span>    per_device_train_batch_size=<span class="hljs-number">2</span>,
<span class="hljs-meta">... </span>    per_device_eval_batch_size=<span class="hljs-number">2</span>,
<span class="hljs-meta">... </span>    save_total_limit=<span class="hljs-number">3</span>,
<span class="hljs-meta">... </span>    evaluation_strategy=<span class="hljs-string">&quot;steps&quot;</span>,
<span class="hljs-meta">... </span>    save_strategy=<span class="hljs-string">&quot;steps&quot;</span>,
<span class="hljs-meta">... </span>    save_steps=<span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    eval_steps=<span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    logging_steps=<span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    eval_accumulation_steps=<span class="hljs-number">5</span>,
<span class="hljs-meta">... </span>    remove_unused_columns=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    push_to_hub=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>trainer = Trainer(
<span class="hljs-meta">... </span>    model=model,
<span class="hljs-meta">... </span>    args=training_args,
<span class="hljs-meta">... </span>    train_dataset=train_ds,
<span class="hljs-meta">... </span>    eval_dataset=test_ds,
<span class="hljs-meta">... </span>    compute_metrics=compute_metrics,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>trainer.train()`}}),Oe=new me({props:{code:"trainer.push_to_hub()",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>trainer.push_to_hub()'}}),{c(){E(r.$$.fragment),f=u(),n=o("p"),d=t("You\u2019re ready to start training your model now! Load SegFormer with "),w=o("a"),y=t("AutoModelForSemanticSegmentation"),F=t(", and pass the model the mapping between label ids and label classes:"),O=u(),E(M.$$.fragment),L=u(),N=o("p"),z=t("At this point, only three steps remain:"),A=u(),U=o("ol"),x=o("li"),re=t("Define your training hyperparameters in "),C=o("a"),Q=t("TrainingArguments"),v=t(". It is important you don\u2019t remove unused columns because this\u2019ll drop the "),H=o("code"),B=t("image"),V=t(" column. Without the "),Z=o("code"),ae=t("image"),te=t(" column, you can\u2019t create "),ne=o("code"),S=t("pixel_values"),fe=t(". Set "),ce=o("code"),ue=t("remove_unused_columns=False"),X=t(" to prevent this behavior! The only other required parameter is "),oe=o("code"),ee=t("output_dir"),Y=t(" which specifies where to save your model. You\u2019ll push this model to the Hub by setting "),ie=o("code"),_=t("push_to_hub=True"),K=t(" (you need to be signed in to Hugging Face to upload your model). At the end of each epoch, the "),pe=o("a"),_e=t("Trainer"),he=t(" will evaluate the IoU metric and save the training checkpoint."),ge=u(),b=o("li"),J=t("Pass the training arguments to "),j=o("a"),se=t("Trainer"),$e=t(" along with the model, dataset, tokenizer, data collator, and "),be=o("code"),De=t("compute_metrics"),G=t(" function."),Ce=u(),ve=o("li"),qe=t("Call "),Pe=o("a"),ke=t("train()"),xe=t(" to finetune your model."),Ie=u(),E(ye.$$.fragment),je=u(),we=o("p"),Ne=t("Once training is completed, share your model to the Hub with the "),Fe=o("a"),as=t("push_to_hub()"),Ye=t(" method so everyone can use your model:"),Le=u(),E(Oe.$$.fragment),this.h()},l(k){P(r.$$.fragment,k),f=g(k),n=i(k,"P",{});var le=p(n);d=l(le,"You\u2019re ready to start training your model now! Load SegFormer with "),w=i(le,"A",{href:!0});var Se=p(w);y=l(Se,"AutoModelForSemanticSegmentation"),Se.forEach(a),F=l(le,", and pass the model the mapping between label ids and label classes:"),le.forEach(a),O=g(k),P(M.$$.fragment,k),L=g(k),N=i(k,"P",{});var Ge=p(N);z=l(Ge,"At this point, only three steps remain:"),Ge.forEach(a),A=g(k),U=i(k,"OL",{});var He=p(U);x=i(He,"LI",{});var de=p(x);re=l(de,"Define your training hyperparameters in "),C=i(de,"A",{href:!0});var ze=p(C);Q=l(ze,"TrainingArguments"),ze.forEach(a),v=l(de,". It is important you don\u2019t remove unused columns because this\u2019ll drop the "),H=i(de,"CODE",{});var Qe=p(H);B=l(Qe,"image"),Qe.forEach(a),V=l(de," column. Without the "),Z=i(de,"CODE",{});var Ee=p(Z);ae=l(Ee,"image"),Ee.forEach(a),te=l(de," column, you can\u2019t create "),ne=i(de,"CODE",{});var Ke=p(ne);S=l(Ke,"pixel_values"),Ke.forEach(a),fe=l(de,". Set "),ce=i(de,"CODE",{});var Be=p(ce);ue=l(Be,"remove_unused_columns=False"),Be.forEach(a),X=l(de," to prevent this behavior! The only other required parameter is "),oe=i(de,"CODE",{});var ns=p(oe);ee=l(ns,"output_dir"),ns.forEach(a),Y=l(de," which specifies where to save your model. You\u2019ll push this model to the Hub by setting "),ie=i(de,"CODE",{});var rs=p(ie);_=l(rs,"push_to_hub=True"),rs.forEach(a),K=l(de," (you need to be signed in to Hugging Face to upload your model). At the end of each epoch, the "),pe=i(de,"A",{href:!0});var ts=p(pe);_e=l(ts,"Trainer"),ts.forEach(a),he=l(de," will evaluate the IoU metric and save the training checkpoint."),de.forEach(a),ge=g(He),b=i(He,"LI",{});var Te=p(b);J=l(Te,"Pass the training arguments to "),j=i(Te,"A",{href:!0});var Je=p(j);se=l(Je,"Trainer"),Je.forEach(a),$e=l(Te," along with the model, dataset, tokenizer, data collator, and "),be=i(Te,"CODE",{});var Re=p(be);De=l(Re,"compute_metrics"),Re.forEach(a),G=l(Te," function."),Te.forEach(a),Ce=g(He),ve=i(He,"LI",{});var Xe=p(ve);qe=l(Xe,"Call "),Pe=i(Xe,"A",{href:!0});var ls=p(Pe);ke=l(ls,"train()"),ls.forEach(a),xe=l(Xe," to finetune your model."),Xe.forEach(a),He.forEach(a),Ie=g(k),P(ye.$$.fragment,k),je=g(k),we=i(k,"P",{});var c=p(we);Ne=l(c,"Once training is completed, share your model to the Hub with the "),Fe=i(c,"A",{href:!0});var R=p(Fe);as=l(R,"push_to_hub()"),R.forEach(a),Ye=l(c," method so everyone can use your model:"),c.forEach(a),Le=g(k),P(Oe.$$.fragment,k),this.h()},h(){$(w,"href","/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoModelForSemanticSegmentation"),$(C,"href","/docs/transformers/pr_21819/en/main_classes/trainer#transformers.TrainingArguments"),$(pe,"href","/docs/transformers/pr_21819/en/main_classes/trainer#transformers.Trainer"),$(j,"href","/docs/transformers/pr_21819/en/main_classes/trainer#transformers.Trainer"),$(Pe,"href","/docs/transformers/pr_21819/en/main_classes/trainer#transformers.Trainer.train"),$(Fe,"href","/docs/transformers/pr_21819/en/main_classes/trainer#transformers.Trainer.push_to_hub")},m(k,le){T(r,k,le),m(k,f,le),m(k,n,le),e(n,d),e(n,w),e(w,y),e(n,F),m(k,O,le),T(M,k,le),m(k,L,le),m(k,N,le),e(N,z),m(k,A,le),m(k,U,le),e(U,x),e(x,re),e(x,C),e(C,Q),e(x,v),e(x,H),e(H,B),e(x,V),e(x,Z),e(Z,ae),e(x,te),e(x,ne),e(ne,S),e(x,fe),e(x,ce),e(ce,ue),e(x,X),e(x,oe),e(oe,ee),e(x,Y),e(x,ie),e(ie,_),e(x,K),e(x,pe),e(pe,_e),e(x,he),e(U,ge),e(U,b),e(b,J),e(b,j),e(j,se),e(b,$e),e(b,be),e(be,De),e(b,G),e(U,Ce),e(U,ve),e(ve,qe),e(ve,Pe),e(Pe,ke),e(ve,xe),m(k,Ie,le),T(ye,k,le),m(k,je,le),m(k,we,le),e(we,Ne),e(we,Fe),e(Fe,as),e(we,Ye),m(k,Le,le),T(Oe,k,le),Me=!0},p(k,le){const Se={};le&2&&(Se.$$scope={dirty:le,ctx:k}),r.$set(Se)},i(k){Me||(q(r.$$.fragment,k),q(M.$$.fragment,k),q(ye.$$.fragment,k),q(Oe.$$.fragment,k),Me=!0)},o(k){I(r.$$.fragment,k),I(M.$$.fragment,k),I(ye.$$.fragment,k),I(Oe.$$.fragment,k),Me=!1},d(k){D(r,k),k&&a(f),k&&a(n),k&&a(O),D(M,k),k&&a(L),k&&a(N),k&&a(A),k&&a(U),k&&a(Ie),D(ye,k),k&&a(je),k&&a(we),k&&a(Le),D(Oe,k)}}}function fn(W){let r,f;return r=new Os({props:{$$slots:{default:[hn]},$$scope:{ctx:W}}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p(n,d){const w={};d&2&&(w.$$scope={dirty:d,ctx:n}),r.$set(w)},i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function un(W){let r,f,n,d,w;return{c(){r=o("p"),f=t("If you are unfamiliar with fine-tuning a model with Keras, check out the "),n=o("a"),d=t("basic tutorial"),w=t(" first!"),this.h()},l(y){r=i(y,"P",{});var F=p(r);f=l(F,"If you are unfamiliar with fine-tuning a model with Keras, check out the "),n=i(F,"A",{href:!0});var O=p(n);d=l(O,"basic tutorial"),O.forEach(a),w=l(F," first!"),F.forEach(a),this.h()},h(){$(n,"href","./training#train-a-tensorflow-model-with-keras")},m(y,F){m(y,r,F),e(r,f),e(r,n),e(n,d),e(r,w)},d(y){y&&a(r)}}}function gn(W){let r,f,n,d,w,y,F,O,M,L,N,z,A,U,x,re,C,Q,v,H,B,V,Z,ae,te,ne,S,fe,ce,ue,X,oe,ee,Y,ie,_,K,pe,_e,he,ge,b,J,j,se,$e,be,De,G,Ce,ve,qe,Pe,ke,xe,Ie,ye,je,we,Ne,Fe,as,Ye,Le,Oe,Me,k,le,Se,Ge,He,de,ze,Qe,Ee,Ke,Be,ns,rs,ts,Te,Je,Re,Xe,ls;return r=new el({props:{$$slots:{default:[un]},$$scope:{ctx:W}}}),Y=new me({props:{code:`from transformers import create_optimizer

batch_size = 2
num_epochs = 50
num_train_steps = len(train_ds) * num_epochs
learning_rate = 6e-5
weight_decay_rate = 0.01

optimizer, lr_schedule = create_optimizer(
    init_lr=learning_rate,
    num_train_steps=num_train_steps,
    weight_decay_rate=weight_decay_rate,
    num_warmup_steps=0,
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> create_optimizer

<span class="hljs-meta">&gt;&gt;&gt; </span>batch_size = <span class="hljs-number">2</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_epochs = <span class="hljs-number">50</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_train_steps = <span class="hljs-built_in">len</span>(train_ds) * num_epochs
<span class="hljs-meta">&gt;&gt;&gt; </span>learning_rate = <span class="hljs-number">6e-5</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>weight_decay_rate = <span class="hljs-number">0.01</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>optimizer, lr_schedule = create_optimizer(
<span class="hljs-meta">... </span>    init_lr=learning_rate,
<span class="hljs-meta">... </span>    num_train_steps=num_train_steps,
<span class="hljs-meta">... </span>    weight_decay_rate=weight_decay_rate,
<span class="hljs-meta">... </span>    num_warmup_steps=<span class="hljs-number">0</span>,
<span class="hljs-meta">... </span>)`}}),b=new me({props:{code:`from transformers import TFAutoModelForSemanticSegmentation

model = TFAutoModelForSemanticSegmentation.from_pretrained(
    checkpoint,
    id2label=id2label,
    label2id=label2id,
)
model.compile(optimizer=optimizer)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForSemanticSegmentation.from_pretrained(
<span class="hljs-meta">... </span>    checkpoint,
<span class="hljs-meta">... </span>    id2label=id2label,
<span class="hljs-meta">... </span>    label2id=label2id,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.<span class="hljs-built_in">compile</span>(optimizer=optimizer)`}}),Ie=new me({props:{code:`from transformers import DefaultDataCollator

data_collator = DefaultDataCollator(return_tensors="tf")

tf_train_dataset = train_ds.to_tf_dataset(
    columns=["pixel_values", "label"],
    shuffle=True,
    batch_size=batch_size,
    collate_fn=data_collator,
)

tf_eval_dataset = test_ds.to_tf_dataset(
    columns=["pixel_values", "label"],
    shuffle=True,
    batch_size=batch_size,
    collate_fn=data_collator,
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> DefaultDataCollator

<span class="hljs-meta">&gt;&gt;&gt; </span>data_collator = DefaultDataCollator(return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tf_train_dataset = train_ds.to_tf_dataset(
<span class="hljs-meta">... </span>    columns=[<span class="hljs-string">&quot;pixel_values&quot;</span>, <span class="hljs-string">&quot;label&quot;</span>],
<span class="hljs-meta">... </span>    shuffle=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    batch_size=batch_size,
<span class="hljs-meta">... </span>    collate_fn=data_collator,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tf_eval_dataset = test_ds.to_tf_dataset(
<span class="hljs-meta">... </span>    columns=[<span class="hljs-string">&quot;pixel_values&quot;</span>, <span class="hljs-string">&quot;label&quot;</span>],
<span class="hljs-meta">... </span>    shuffle=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    batch_size=batch_size,
<span class="hljs-meta">... </span>    collate_fn=data_collator,
<span class="hljs-meta">... </span>)`}}),ze=new me({props:{code:`from transformers.keras_callbacks import KerasMetricCallback, PushToHubCallback

metric_callback = KerasMetricCallback(
    metric_fn=compute_metrics, eval_dataset=tf_eval_dataset, batch_size=batch_size, label_cols=["labels"]
)

push_to_hub_callback = PushToHubCallback(output_dir="scene_segmentation", tokenizer=image_processor)

callbacks = [metric_callback, push_to_hub_callback]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers.keras_callbacks <span class="hljs-keyword">import</span> KerasMetricCallback, PushToHubCallback

<span class="hljs-meta">&gt;&gt;&gt; </span>metric_callback = KerasMetricCallback(
<span class="hljs-meta">... </span>    metric_fn=compute_metrics, eval_dataset=tf_eval_dataset, batch_size=batch_size, label_cols=[<span class="hljs-string">&quot;labels&quot;</span>]
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>push_to_hub_callback = PushToHubCallback(output_dir=<span class="hljs-string">&quot;scene_segmentation&quot;</span>, tokenizer=image_processor)

<span class="hljs-meta">&gt;&gt;&gt; </span>callbacks = [metric_callback, push_to_hub_callback]`}}),Te=new me({props:{code:`model.fit(
    tf_train_dataset,
    validation_data=tf_eval_dataset,
    callbacks=callbacks,
    epochs=num_epochs,
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>model.fit(
<span class="hljs-meta">... </span>    tf_train_dataset,
<span class="hljs-meta">... </span>    validation_data=tf_eval_dataset,
<span class="hljs-meta">... </span>    callbacks=callbacks,
<span class="hljs-meta">... </span>    epochs=num_epochs,
<span class="hljs-meta">... </span>)`}}),{c(){E(r.$$.fragment),f=u(),n=o("p"),d=t("To fine-tune a model in TensorFlow, follow these steps:"),w=u(),y=o("ol"),F=o("li"),O=t("Define the training hyperparameters, and set up an optimizer and a learning rate schedule."),M=u(),L=o("li"),N=t("Instantiate a pretrained model."),z=u(),A=o("li"),U=t("Convert a \u{1F917} Dataset to a "),x=o("code"),re=t("tf.data.Dataset"),C=t("."),Q=u(),v=o("li"),H=t("Compile your model."),B=u(),V=o("li"),Z=t("Add callbacks to calculate metrics and upload your model to \u{1F917} Hub"),ae=u(),te=o("li"),ne=t("Use the "),S=o("code"),fe=t("fit()"),ce=t(" method to run the training."),ue=u(),X=o("p"),oe=t("Start by defining the hyperparameters, optimizer and learning rate schedule:"),ee=u(),E(Y.$$.fragment),ie=u(),_=o("p"),K=t("Then, load SegFormer with "),pe=o("a"),_e=t("TFAutoModelForSemanticSegmentation"),he=t(` along with the label mappings, and compile it with the
optimizer:`),ge=u(),E(b.$$.fragment),J=u(),j=o("p"),se=t("Convert your datasets to the "),$e=o("code"),be=t("tf.data.Dataset"),De=t(" format using the "),G=o("a"),Ce=t("to_tf_dataset"),ve=t(" and the "),qe=o("a"),Pe=t("DefaultDataCollator"),ke=t(":"),xe=u(),E(Ie.$$.fragment),ye=u(),je=o("p"),we=t("To compute the accuracy from the predictions and push your model to the \u{1F917} Hub, use "),Ne=o("a"),Fe=t("Keras callbacks"),as=t(`.
Pass your `),Ye=o("code"),Le=t("compute_metrics"),Oe=t(" function to "),Me=o("a"),k=t("KerasMetricCallback"),le=t(`,
and use the `),Se=o("a"),Ge=t("PushToHubCallback"),He=t(" to upload the model:"),de=u(),E(ze.$$.fragment),Qe=u(),Ee=o("p"),Ke=t("Finally, you are ready to train your model! Call "),Be=o("code"),ns=t("fit()"),rs=t(` with your training and validation datasets, the number of epochs,
and your callbacks to fine-tune the model:`),ts=u(),E(Te.$$.fragment),Je=u(),Re=o("p"),Xe=t("Congratulations! You have fine-tuned your model and shared it on the \u{1F917} Hub. You can now use it for inference!"),this.h()},l(c){P(r.$$.fragment,c),f=g(c),n=i(c,"P",{});var R=p(n);d=l(R,"To fine-tune a model in TensorFlow, follow these steps:"),R.forEach(a),w=g(c),y=i(c,"OL",{});var Ae=p(y);F=i(Ae,"LI",{});var ra=p(F);O=l(ra,"Define the training hyperparameters, and set up an optimizer and a learning rate schedule."),ra.forEach(a),M=g(Ae),L=i(Ae,"LI",{});var ds=p(L);N=l(ds,"Instantiate a pretrained model."),ds.forEach(a),z=g(Ae),A=i(Ae,"LI",{});var _s=p(A);U=l(_s,"Convert a \u{1F917} Dataset to a "),x=i(_s,"CODE",{});var oa=p(x);re=l(oa,"tf.data.Dataset"),oa.forEach(a),C=l(_s,"."),_s.forEach(a),Q=g(Ae),v=i(Ae,"LI",{});var $s=p(v);H=l($s,"Compile your model."),$s.forEach(a),B=g(Ae),V=i(Ae,"LI",{});var ia=p(V);Z=l(ia,"Add callbacks to calculate metrics and upload your model to \u{1F917} Hub"),ia.forEach(a),ae=g(Ae),te=i(Ae,"LI",{});var bs=p(te);ne=l(bs,"Use the "),S=i(bs,"CODE",{});var Ms=p(S);fe=l(Ms,"fit()"),Ms.forEach(a),ce=l(bs," method to run the training."),bs.forEach(a),Ae.forEach(a),ue=g(c),X=i(c,"P",{});var Ve=p(X);oe=l(Ve,"Start by defining the hyperparameters, optimizer and learning rate schedule:"),Ve.forEach(a),ee=g(c),P(Y.$$.fragment,c),ie=g(c),_=i(c,"P",{});var js=p(_);K=l(js,"Then, load SegFormer with "),pe=i(js,"A",{href:!0});var vs=p(pe);_e=l(vs,"TFAutoModelForSemanticSegmentation"),vs.forEach(a),he=l(js,` along with the label mappings, and compile it with the
optimizer:`),js.forEach(a),ge=g(c),P(b.$$.fragment,c),J=g(c),j=i(c,"P",{});var Ze=p(j);se=l(Ze,"Convert your datasets to the "),$e=i(Ze,"CODE",{});var pa=p($e);be=l(pa,"tf.data.Dataset"),pa.forEach(a),De=l(Ze," format using the "),G=i(Ze,"A",{href:!0,rel:!0});var ys=p(G);Ce=l(ys,"to_tf_dataset"),ys.forEach(a),ve=l(Ze," and the "),qe=i(Ze,"A",{href:!0});var ma=p(qe);Pe=l(ma,"DefaultDataCollator"),ma.forEach(a),ke=l(Ze,":"),Ze.forEach(a),xe=g(c),P(Ie.$$.fragment,c),ye=g(c),je=i(c,"P",{});var Ue=p(je);we=l(Ue,"To compute the accuracy from the predictions and push your model to the \u{1F917} Hub, use "),Ne=i(Ue,"A",{href:!0});var Ns=p(Ne);Fe=l(Ns,"Keras callbacks"),Ns.forEach(a),as=l(Ue,`.
Pass your `),Ye=i(Ue,"CODE",{});var os=p(Ye);Le=l(os,"compute_metrics"),os.forEach(a),Oe=l(Ue," function to "),Me=i(Ue,"A",{href:!0});var Hs=p(Me);k=l(Hs,"KerasMetricCallback"),Hs.forEach(a),le=l(Ue,`,
and use the `),Se=i(Ue,"A",{href:!0});var es=p(Se);Ge=l(es,"PushToHubCallback"),es.forEach(a),He=l(Ue," to upload the model:"),Ue.forEach(a),de=g(c),P(ze.$$.fragment,c),Qe=g(c),Ee=i(c,"P",{});var We=p(Ee);Ke=l(We,"Finally, you are ready to train your model! Call "),Be=i(We,"CODE",{});var ws=p(Be);ns=l(ws,"fit()"),ws.forEach(a),rs=l(We,` with your training and validation datasets, the number of epochs,
and your callbacks to fine-tune the model:`),We.forEach(a),ts=g(c),P(Te.$$.fragment,c),Je=g(c),Re=i(c,"P",{});var is=p(Re);Xe=l(is,"Congratulations! You have fine-tuned your model and shared it on the \u{1F917} Hub. You can now use it for inference!"),is.forEach(a),this.h()},h(){$(pe,"href","/docs/transformers/pr_21819/en/model_doc/auto#transformers.TFAutoModelForSemanticSegmentation"),$(G,"href","https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset.to_tf_dataset"),$(G,"rel","nofollow"),$(qe,"href","/docs/transformers/pr_21819/en/main_classes/data_collator#transformers.DefaultDataCollator"),$(Ne,"href","../main_classes/keras_callbacks"),$(Me,"href","/docs/transformers/pr_21819/en/main_classes/keras_callbacks#transformers.KerasMetricCallback"),$(Se,"href","/docs/transformers/pr_21819/en/main_classes/keras_callbacks#transformers.PushToHubCallback")},m(c,R){T(r,c,R),m(c,f,R),m(c,n,R),e(n,d),m(c,w,R),m(c,y,R),e(y,F),e(F,O),e(y,M),e(y,L),e(L,N),e(y,z),e(y,A),e(A,U),e(A,x),e(x,re),e(A,C),e(y,Q),e(y,v),e(v,H),e(y,B),e(y,V),e(V,Z),e(y,ae),e(y,te),e(te,ne),e(te,S),e(S,fe),e(te,ce),m(c,ue,R),m(c,X,R),e(X,oe),m(c,ee,R),T(Y,c,R),m(c,ie,R),m(c,_,R),e(_,K),e(_,pe),e(pe,_e),e(_,he),m(c,ge,R),T(b,c,R),m(c,J,R),m(c,j,R),e(j,se),e(j,$e),e($e,be),e(j,De),e(j,G),e(G,Ce),e(j,ve),e(j,qe),e(qe,Pe),e(j,ke),m(c,xe,R),T(Ie,c,R),m(c,ye,R),m(c,je,R),e(je,we),e(je,Ne),e(Ne,Fe),e(je,as),e(je,Ye),e(Ye,Le),e(je,Oe),e(je,Me),e(Me,k),e(je,le),e(je,Se),e(Se,Ge),e(je,He),m(c,de,R),T(ze,c,R),m(c,Qe,R),m(c,Ee,R),e(Ee,Ke),e(Ee,Be),e(Be,ns),e(Ee,rs),m(c,ts,R),T(Te,c,R),m(c,Je,R),m(c,Re,R),e(Re,Xe),ls=!0},p(c,R){const Ae={};R&2&&(Ae.$$scope={dirty:R,ctx:c}),r.$set(Ae)},i(c){ls||(q(r.$$.fragment,c),q(Y.$$.fragment,c),q(b.$$.fragment,c),q(Ie.$$.fragment,c),q(ze.$$.fragment,c),q(Te.$$.fragment,c),ls=!0)},o(c){I(r.$$.fragment,c),I(Y.$$.fragment,c),I(b.$$.fragment,c),I(Ie.$$.fragment,c),I(ze.$$.fragment,c),I(Te.$$.fragment,c),ls=!1},d(c){D(r,c),c&&a(f),c&&a(n),c&&a(w),c&&a(y),c&&a(ue),c&&a(X),c&&a(ee),D(Y,c),c&&a(ie),c&&a(_),c&&a(ge),D(b,c),c&&a(J),c&&a(j),c&&a(xe),D(Ie,c),c&&a(ye),c&&a(je),c&&a(de),D(ze,c),c&&a(Qe),c&&a(Ee),c&&a(ts),D(Te,c),c&&a(Je),c&&a(Re)}}}function dn(W){let r,f;return r=new Os({props:{$$slots:{default:[gn]},$$scope:{ctx:W}}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p(n,d){const w={};d&2&&(w.$$scope={dirty:d,ctx:n}),r.$set(w)},i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function _n(W){let r,f,n,d,w,y,F,O,M,L,N,z,A,U,x,re,C,Q,v,H,B,V,Z,ae,te,ne,S,fe,ce,ue,X,oe,ee,Y,ie;return L=new me({props:{code:`from transformers import pipeline

segmenter = pipeline("image-segmentation", model="my_awesome_seg_model")
segmenter(image)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=<span class="hljs-string">&quot;my_awesome_seg_model&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>segmenter(image)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;wall&#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062690</span>&gt;},
 {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;sky&#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062A50</span>&gt;},
 {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;floor&#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062B50</span>&gt;},
 {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;ceiling&#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062A10</span>&gt;},
 {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bed &#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062E90</span>&gt;},
 {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;windowpane&#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062390</span>&gt;},
 {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cabinet&#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062550</span>&gt;},
 {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;chair&#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062D90</span>&gt;},
 {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-literal">None</span>,
  <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;armchair&#x27;</span>,
  <span class="hljs-string">&#x27;mask&#x27;</span>: &lt;PIL.Image.Image image mode=L size=640x427 at <span class="hljs-number">0x7FD5B2062E10</span>&gt;}]`}}),B=new me({props:{code:`device = torch.device("cuda" if torch.cuda.is_available() else "cpu")  # use GPU if available, otherwise use a CPU
encoding = image_processor(image, return_tensors="pt")
pixel_values = encoding.pixel_values.to(device)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>device = torch.device(<span class="hljs-string">&quot;cuda&quot;</span> <span class="hljs-keyword">if</span> torch.cuda.is_available() <span class="hljs-keyword">else</span> <span class="hljs-string">&quot;cpu&quot;</span>)  <span class="hljs-comment"># use GPU if available, otherwise use a CPU</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = encoding.pixel_values.to(device)`}}),ce=new me({props:{code:`outputs = model(pixel_values=pixel_values)
logits = outputs.logits.cpu()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(pixel_values=pixel_values)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits.cpu()`}}),Y=new me({props:{code:`upsampled_logits = nn.functional.interpolate(
    logits,
    size=image.size[::-1],
    mode="bilinear",
    align_corners=False,
)

pred_seg = upsampled_logits.argmax(dim=1)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>upsampled_logits = nn.functional.interpolate(
<span class="hljs-meta">... </span>    logits,
<span class="hljs-meta">... </span>    size=image.size[::-<span class="hljs-number">1</span>],
<span class="hljs-meta">... </span>    mode=<span class="hljs-string">&quot;bilinear&quot;</span>,
<span class="hljs-meta">... </span>    align_corners=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>pred_seg = upsampled_logits.argmax(dim=<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>]`}}),{c(){r=o("p"),f=t("The simplest way to try out your finetuned model for inference is to use it in a "),n=o("a"),d=t("pipeline()"),w=t(". Instantiate a "),y=o("code"),F=t("pipeline"),O=t(" for image segmentation with your model, and pass your image to it:"),M=u(),E(L.$$.fragment),N=u(),z=o("p"),A=t("You can also manually replicate the results of the "),U=o("code"),x=t("pipeline"),re=t(" if you\u2019d like. Process the image with an image processor and place the "),C=o("code"),Q=t("pixel_values"),v=t(" on a GPU:"),H=u(),E(B.$$.fragment),V=u(),Z=o("p"),ae=t("Pass your input to the model and return the "),te=o("code"),ne=t("logits"),S=t(":"),fe=u(),E(ce.$$.fragment),ue=u(),X=o("p"),oe=t("Next, rescale the logits to the original image size:"),ee=u(),E(Y.$$.fragment),this.h()},l(_){r=i(_,"P",{});var K=p(r);f=l(K,"The simplest way to try out your finetuned model for inference is to use it in a "),n=i(K,"A",{href:!0});var pe=p(n);d=l(pe,"pipeline()"),pe.forEach(a),w=l(K,". Instantiate a "),y=i(K,"CODE",{});var _e=p(y);F=l(_e,"pipeline"),_e.forEach(a),O=l(K," for image segmentation with your model, and pass your image to it:"),K.forEach(a),M=g(_),P(L.$$.fragment,_),N=g(_),z=i(_,"P",{});var he=p(z);A=l(he,"You can also manually replicate the results of the "),U=i(he,"CODE",{});var ge=p(U);x=l(ge,"pipeline"),ge.forEach(a),re=l(he," if you\u2019d like. Process the image with an image processor and place the "),C=i(he,"CODE",{});var b=p(C);Q=l(b,"pixel_values"),b.forEach(a),v=l(he," on a GPU:"),he.forEach(a),H=g(_),P(B.$$.fragment,_),V=g(_),Z=i(_,"P",{});var J=p(Z);ae=l(J,"Pass your input to the model and return the "),te=i(J,"CODE",{});var j=p(te);ne=l(j,"logits"),j.forEach(a),S=l(J,":"),J.forEach(a),fe=g(_),P(ce.$$.fragment,_),ue=g(_),X=i(_,"P",{});var se=p(X);oe=l(se,"Next, rescale the logits to the original image size:"),se.forEach(a),ee=g(_),P(Y.$$.fragment,_),this.h()},h(){$(n,"href","/docs/transformers/pr_21819/en/main_classes/pipelines#transformers.pipeline")},m(_,K){m(_,r,K),e(r,f),e(r,n),e(n,d),e(r,w),e(r,y),e(y,F),e(r,O),m(_,M,K),T(L,_,K),m(_,N,K),m(_,z,K),e(z,A),e(z,U),e(U,x),e(z,re),e(z,C),e(C,Q),e(z,v),m(_,H,K),T(B,_,K),m(_,V,K),m(_,Z,K),e(Z,ae),e(Z,te),e(te,ne),e(Z,S),m(_,fe,K),T(ce,_,K),m(_,ue,K),m(_,X,K),e(X,oe),m(_,ee,K),T(Y,_,K),ie=!0},p:ya,i(_){ie||(q(L.$$.fragment,_),q(B.$$.fragment,_),q(ce.$$.fragment,_),q(Y.$$.fragment,_),ie=!0)},o(_){I(L.$$.fragment,_),I(B.$$.fragment,_),I(ce.$$.fragment,_),I(Y.$$.fragment,_),ie=!1},d(_){_&&a(r),_&&a(M),D(L,_),_&&a(N),_&&a(z),_&&a(H),D(B,_),_&&a(V),_&&a(Z),_&&a(fe),D(ce,_),_&&a(ue),_&&a(X),_&&a(ee),D(Y,_)}}}function $n(W){let r,f;return r=new Os({props:{$$slots:{default:[_n]},$$scope:{ctx:W}}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p(n,d){const w={};d&2&&(w.$$scope={dirty:d,ctx:n}),r.$set(w)},i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function bn(W){let r,f,n,d,w,y,F,O,M,L,N,z,A,U,x,re,C,Q;return d=new me({props:{code:`from transformers import AutoImageProcessor

image_processor = AutoImageProcessor.from_pretrained("MariaK/scene_segmentation")
inputs = image_processor(image, return_tensors="tf")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;MariaK/scene_segmentation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)`}}),z=new me({props:{code:`from transformers import TFAutoModelForSemanticSegmentation

model = TFAutoModelForSemanticSegmentation.from_pretrained("MariaK/scene_segmentation")
logits = model(**inputs).logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;MariaK/scene_segmentation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits`}}),C=new me({props:{code:`logits = tf.transpose(logits, [0, 2, 3, 1])

upsampled_logits = tf.image.resize(
    logits,
    # We reverse the shape of \`image\` because \`image.size\` returns width and height.
    image.size[::-1],
)

pred_seg = tf.math.argmax(upsampled_logits, axis=-1)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>logits = tf.transpose(logits, [<span class="hljs-number">0</span>, <span class="hljs-number">2</span>, <span class="hljs-number">3</span>, <span class="hljs-number">1</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>upsampled_logits = tf.image.resize(
<span class="hljs-meta">... </span>    logits,
<span class="hljs-meta">... </span>    <span class="hljs-comment"># We reverse the shape of \`image\` because \`image.size\` returns width and height.</span>
<span class="hljs-meta">... </span>    image.size[::-<span class="hljs-number">1</span>],
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>pred_seg = tf.math.argmax(upsampled_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>]`}}),{c(){r=o("p"),f=t("Load an image processor to preprocess the image and return the input as TensorFlow tensors:"),n=u(),E(d.$$.fragment),w=u(),y=o("p"),F=t("Pass your input to the model and return the "),O=o("code"),M=t("logits"),L=t(":"),N=u(),E(z.$$.fragment),A=u(),U=o("p"),x=t("Next, rescale the logits to the original image size and apply argmax on the class dimension:"),re=u(),E(C.$$.fragment)},l(v){r=i(v,"P",{});var H=p(r);f=l(H,"Load an image processor to preprocess the image and return the input as TensorFlow tensors:"),H.forEach(a),n=g(v),P(d.$$.fragment,v),w=g(v),y=i(v,"P",{});var B=p(y);F=l(B,"Pass your input to the model and return the "),O=i(B,"CODE",{});var V=p(O);M=l(V,"logits"),V.forEach(a),L=l(B,":"),B.forEach(a),N=g(v),P(z.$$.fragment,v),A=g(v),U=i(v,"P",{});var Z=p(U);x=l(Z,"Next, rescale the logits to the original image size and apply argmax on the class dimension:"),Z.forEach(a),re=g(v),P(C.$$.fragment,v)},m(v,H){m(v,r,H),e(r,f),m(v,n,H),T(d,v,H),m(v,w,H),m(v,y,H),e(y,F),e(y,O),e(O,M),e(y,L),m(v,N,H),T(z,v,H),m(v,A,H),m(v,U,H),e(U,x),m(v,re,H),T(C,v,H),Q=!0},p:ya,i(v){Q||(q(d.$$.fragment,v),q(z.$$.fragment,v),q(C.$$.fragment,v),Q=!0)},o(v){I(d.$$.fragment,v),I(z.$$.fragment,v),I(C.$$.fragment,v),Q=!1},d(v){v&&a(r),v&&a(n),D(d,v),v&&a(w),v&&a(y),v&&a(N),D(z,v),v&&a(A),v&&a(U),v&&a(re),D(C,v)}}}function jn(W){let r,f;return r=new Os({props:{$$slots:{default:[bn]},$$scope:{ctx:W}}}),{c(){E(r.$$.fragment)},l(n){P(r.$$.fragment,n)},m(n,d){T(r,n,d),f=!0},p(n,d){const w={};d&2&&(w.$$scope={dirty:d,ctx:n}),r.$set(w)},i(n){f||(q(r.$$.fragment,n),f=!0)},o(n){I(r.$$.fragment,n),f=!1},d(n){D(r,n)}}}function vn(W){let r,f,n,d,w,y,F,O,M,L,N,z,A,U,x,re,C,Q,v,H,B,V,Z,ae,te,ne,S,fe,ce,ue,X,oe,ee,Y,ie,_,K,pe,_e,he,ge,b,J,j,se,$e,be,De,G,Ce,ve,qe,Pe,ke,xe,Ie,ye,je,we,Ne,Fe,as,Ye,Le,Oe,Me,k,le,Se,Ge,He,de,ze,Qe,Ee,Ke,Be,ns,rs,ts,Te,Je,Re,Xe,ls,c,R,Ae,ra,ds,_s,oa,$s,ia,bs,Ms,Ve,js,vs,Ze,pa,ys,ma,Ue,Ns,os,Hs,es,We,ws,is,_t,wa,$t,Na,ps,bt,ka,jt,vt,xa,yt,wt,Ha,Bs,Ba,ks,Ua,xs,Ya,hs,Es,Ea,Us,kt,Pa,xt,Ga,ss,Et,Ys,Pt,Tt,Gs,qt,It,Ks,Dt,At,Ka,Js,Ja,ms,zt,Rs,Ct,St,Vs,Ft,Lt,Ra,Ps,Va,Ts,Wa,qs,Ot,Ta,Mt,Nt,Qa,fs,Is,qa,Ws,Ht,Ia,Bt,Xa,Ds,Za,As,et,us,zs,Da,Qs,Ut,Aa,Yt,st,ca,Gt,at,ha,Kt,tt,Xs,lt,Zs,fa,sl,nt,Cs,rt,Ss,ot,cs,Jt,ea,Rt,Vt,za,Wt,Qt,it,sa,pt,aa,ua,al,mt;return y=new va({}),N=new en({props:{classNames:"absolute z-10 right-0 top-0",options:[{label:"Mixed",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/transformers_doc/en/semantic_segmentation.ipynb"},{label:"PyTorch",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/transformers_doc/en/pytorch/semantic_segmentation.ipynb"},{label:"TensorFlow",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/transformers_doc/en/tensorflow/semantic_segmentation.ipynb"},{label:"Mixed",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/transformers_doc/en/semantic_segmentation.ipynb"},{label:"PyTorch",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/transformers_doc/en/pytorch/semantic_segmentation.ipynb"},{label:"TensorFlow",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/transformers_doc/en/tensorflow/semantic_segmentation.ipynb"}]}}),A=new Zl({props:{id:"dKE8SIt9C-w"}}),Y=new el({props:{$$slots:{default:[sn]},$$scope:{ctx:W}}}),_e=new me({props:{code:"pip install -q datasets transformers evaluate",highlighted:"pip install -q datasets transformers evaluate"}}),j=new me({props:{code:`from huggingface_hub import notebook_login

notebook_login()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> notebook_login

<span class="hljs-meta">&gt;&gt;&gt; </span>notebook_login()`}}),G=new va({}),ye=new me({props:{code:`from datasets import load_dataset

ds = load_dataset("scene_parse_150", split="train[:50]")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;scene_parse_150&quot;</span>, split=<span class="hljs-string">&quot;train[:50]&quot;</span>)`}}),le=new me({props:{code:`ds = ds.train_test_split(test_size=0.2)
train_ds = ds["train"]
test_ds = ds["test"]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>ds = ds.train_test_split(test_size=<span class="hljs-number">0.2</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>train_ds = ds[<span class="hljs-string">&quot;train&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>test_ds = ds[<span class="hljs-string">&quot;test&quot;</span>]`}}),ze=new me({props:{code:"train_ds[0]",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>train_ds[<span class="hljs-number">0</span>]
{<span class="hljs-string">&#x27;image&#x27;</span>: &lt;PIL.JpegImagePlugin.JpegImageFile image mode=RGB size=512x683 at <span class="hljs-number">0x7F9B0C201F90</span>&gt;,
 <span class="hljs-string">&#x27;annotation&#x27;</span>: &lt;PIL.PngImagePlugin.PngImageFile image mode=L size=512x683 at <span class="hljs-number">0x7F9B0C201DD0</span>&gt;,
 <span class="hljs-string">&#x27;scene_category&#x27;</span>: <span class="hljs-number">368</span>}`}}),os=new me({props:{code:`import json
from huggingface_hub import cached_download, hf_hub_url

repo_id = "huggingface/label-files"
filename = "ade20k-hf-doc-builder.json"
id2label = json.load(open(cached_download(hf_hub_url(repo_id, filename, repo_type="dataset")), "r"))
id2label = {int(k): v for k, v in id2label.items()}
label2id = {v: k for k, v in id2label.items()}
num_labels = len(id2label)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> json
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> cached_download, hf_hub_url

<span class="hljs-meta">&gt;&gt;&gt; </span>repo_id = <span class="hljs-string">&quot;huggingface/label-files&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>filename = <span class="hljs-string">&quot;ade20k-hf-doc-builder.json&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>id2label = json.load(<span class="hljs-built_in">open</span>(cached_download(hf_hub_url(repo_id, filename, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>)), <span class="hljs-string">&quot;r&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>id2label = {<span class="hljs-built_in">int</span>(k): v <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> id2label.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>label2id = {v: k <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> id2label.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(id2label)`}}),is=new va({}),Bs=new me({props:{code:`from transformers import AutoImageProcessor

checkpoint = "nvidia/mit-b0"
image_processor = AutoImageProcessor.from_pretrained(checkpoint, reduce_labels=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>checkpoint = <span class="hljs-string">&quot;nvidia/mit-b0&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(checkpoint, reduce_labels=<span class="hljs-literal">True</span>)`}}),ks=new Ls({props:{pytorch:!0,tensorflow:!1,jax:!1,$$slots:{pytorch:[tn]},$$scope:{ctx:W}}}),xs=new Ls({props:{pytorch:!1,tensorflow:!0,jax:!1,$$slots:{tensorflow:[nn]},$$scope:{ctx:W}}}),Us=new va({}),Js=new me({props:{code:`import evaluate

metric = evaluate.load("mean_iou")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> evaluate

<span class="hljs-meta">&gt;&gt;&gt; </span>metric = evaluate.load(<span class="hljs-string">&quot;mean_iou&quot;</span>)`}}),Ps=new Ls({props:{pytorch:!0,tensorflow:!1,jax:!1,$$slots:{pytorch:[on]},$$scope:{ctx:W}}}),Ts=new Ls({props:{pytorch:!1,tensorflow:!0,jax:!1,$$slots:{tensorflow:[mn]},$$scope:{ctx:W}}}),Ws=new va({}),Ds=new Ls({props:{pytorch:!0,tensorflow:!1,jax:!1,$$slots:{pytorch:[fn]},$$scope:{ctx:W}}}),As=new Ls({props:{pytorch:!1,tensorflow:!0,jax:!1,$$slots:{tensorflow:[dn]},$$scope:{ctx:W}}}),Qs=new va({}),Xs=new me({props:{code:`image = ds[0]["image"]
image`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>image = ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;image&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>image`}}),Cs=new Ls({props:{pytorch:!0,tensorflow:!1,jax:!1,$$slots:{pytorch:[$n]},$$scope:{ctx:W}}}),Ss=new Ls({props:{pytorch:!1,tensorflow:!0,jax:!1,$$slots:{tensorflow:[jn]},$$scope:{ctx:W}}}),sa=new me({props:{code:`import matplotlib.pyplot as plt
import numpy as np

color_seg = np.zeros((pred_seg.shape[0], pred_seg.shape[1], 3), dtype=np.uint8)
palette = np.array(ade_palette())
for label, color in enumerate(palette):
    color_seg[pred_seg == label, :] = color
color_seg = color_seg[..., ::-1]  # convert to BGR

img = np.array(image) * 0.5 + color_seg * 0.5  # plot the image with the segmentation map
img = img.astype(np.uint8)

plt.figure(figsize=(15, 10))
plt.imshow(img)
plt.show()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> matplotlib.pyplot <span class="hljs-keyword">as</span> plt
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np

<span class="hljs-meta">&gt;&gt;&gt; </span>color_seg = np.zeros((pred_seg.shape[<span class="hljs-number">0</span>], pred_seg.shape[<span class="hljs-number">1</span>], <span class="hljs-number">3</span>), dtype=np.uint8)
<span class="hljs-meta">&gt;&gt;&gt; </span>palette = np.array(ade_palette())
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> label, color <span class="hljs-keyword">in</span> <span class="hljs-built_in">enumerate</span>(palette):
<span class="hljs-meta">... </span>    color_seg[pred_seg == label, :] = color
<span class="hljs-meta">&gt;&gt;&gt; </span>color_seg = color_seg[..., ::-<span class="hljs-number">1</span>]  <span class="hljs-comment"># convert to BGR</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>img = np.array(image) * <span class="hljs-number">0.5</span> + color_seg * <span class="hljs-number">0.5</span>  <span class="hljs-comment"># plot the image with the segmentation map</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>img = img.astype(np.uint8)

<span class="hljs-meta">&gt;&gt;&gt; </span>plt.figure(figsize=(<span class="hljs-number">15</span>, <span class="hljs-number">10</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>plt.imshow(img)
<span class="hljs-meta">&gt;&gt;&gt; </span>plt.show()`}}),{c(){r=o("meta"),f=u(),n=o("h1"),d=o("a"),w=o("span"),E(y.$$.fragment),F=u(),O=o("span"),M=t("Semantic segmentation"),L=u(),E(N.$$.fragment),z=u(),E(A.$$.fragment),U=u(),x=o("p"),re=t("Semantic segmentation assigns a label or class to each individual pixel of an image. There are several types of segmentation, and in the case of semantic segmentation, no distinction is made between unique instances of the same object. Both objects are given the same label (for example, \u201Ccar\u201D instead of \u201Ccar-1\u201D and \u201Ccar-2\u201D). Common real-world applications of semantic segmentation include training self-driving cars to identify pedestrians and important traffic information, identifying cells and abnormalities in medical imagery, and monitoring environmental changes from satellite imagery."),C=u(),Q=o("p"),v=t("This guide will show you how to:"),H=u(),B=o("ol"),V=o("li"),Z=t("Finetune "),ae=o("a"),te=t("SegFormer"),ne=t(" on the "),S=o("a"),fe=t("SceneParse150"),ce=t(" dataset."),ue=u(),X=o("li"),oe=t("Use your finetuned model for inference."),ee=u(),E(Y.$$.fragment),ie=u(),_=o("p"),K=t("Before you begin, make sure you have all the necessary libraries installed:"),pe=u(),E(_e.$$.fragment),he=u(),ge=o("p"),b=t("We encourage you to log in to your Hugging Face account so you can upload and share your model with the community. When prompted, enter your token to log in:"),J=u(),E(j.$$.fragment),se=u(),$e=o("h2"),be=o("a"),De=o("span"),E(G.$$.fragment),Ce=u(),ve=o("span"),qe=t("Load SceneParse150 dataset"),Pe=u(),ke=o("p"),xe=t("Start by loading a smaller subset of the SceneParse150 dataset from the \u{1F917} Datasets library. This\u2019ll give you a chance to experiment and make sure everything works before spending more time training on the full dataset."),Ie=u(),E(ye.$$.fragment),je=u(),we=o("p"),Ne=t("Split the dataset\u2019s "),Fe=o("code"),as=t("train"),Ye=t(" split into a train and test set with the "),Le=o("a"),Oe=t("train_test_split"),Me=t(" method:"),k=u(),E(le.$$.fragment),Se=u(),Ge=o("p"),He=t("Then take a look at an example:"),de=u(),E(ze.$$.fragment),Qe=u(),Ee=o("ul"),Ke=o("li"),Be=o("code"),ns=t("image"),rs=t(": a PIL image of the scene."),ts=u(),Te=o("li"),Je=o("code"),Re=t("annotation"),Xe=t(": a PIL image of the segmentation map, which is also the model\u2019s target."),ls=u(),c=o("li"),R=o("code"),Ae=t("scene_category"),ra=t(": a category id that describes the image scene like \u201Ckitchen\u201D or \u201Coffice\u201D. In this guide, you\u2019ll only need "),ds=o("code"),_s=t("image"),oa=t(" and "),$s=o("code"),ia=t("annotation"),bs=t(", both of which are PIL images."),Ms=u(),Ve=o("p"),js=t("You\u2019ll also want to create a dictionary that maps a label id to a label class which will be useful when you set up the model later. Download the mappings from the Hub and create the "),vs=o("code"),Ze=t("id2label"),pa=t(" and "),ys=o("code"),ma=t("label2id"),Ue=t(" dictionaries:"),Ns=u(),E(os.$$.fragment),Hs=u(),es=o("h2"),We=o("a"),ws=o("span"),E(is.$$.fragment),_t=u(),wa=o("span"),$t=t("Preprocess"),Na=u(),ps=o("p"),bt=t("The next step is to load a SegFormer image processor to prepare the images and annotations for the model. Some datasets, like this one, use the zero-index as the background class. However, the background class isn\u2019t actually included in the 150 classes, so you\u2019ll need to set "),ka=o("code"),jt=t("reduce_labels=True"),vt=t(" to subtract one from all the labels. The zero-index is replaced by "),xa=o("code"),yt=t("255"),wt=t(" so it\u2019s ignored by SegFormer\u2019s loss function:"),Ha=u(),E(Bs.$$.fragment),Ba=u(),E(ks.$$.fragment),Ua=u(),E(xs.$$.fragment),Ya=u(),hs=o("h2"),Es=o("a"),Ea=o("span"),E(Us.$$.fragment),kt=u(),Pa=o("span"),xt=t("Evaluate"),Ga=u(),ss=o("p"),Et=t("Including a metric during training is often helpful for evaluating your model\u2019s performance. You can quickly load a evaluation method with the \u{1F917} "),Ys=o("a"),Pt=t("Evaluate"),Tt=t(" library. For this task, load the "),Gs=o("a"),qt=t("mean Intersection over Union"),It=t(" (IoU) metric (see the \u{1F917} Evaluate "),Ks=o("a"),Dt=t("quick tour"),At=t(" to learn more about how to load and compute a metric):"),Ka=u(),E(Js.$$.fragment),Ja=u(),ms=o("p"),zt=t("Then create a function to "),Rs=o("a"),Ct=t("compute"),St=t(` the metrics. Your predictions need to be converted to
logits first, and then reshaped to match the size of the labels before you can call `),Vs=o("a"),Ft=t("compute"),Lt=t(":"),Ra=u(),E(Ps.$$.fragment),Va=u(),E(Ts.$$.fragment),Wa=u(),qs=o("p"),Ot=t("Your "),Ta=o("code"),Mt=t("compute_metrics"),Nt=t(" function is ready to go now, and you\u2019ll return to it when you setup your training."),Qa=u(),fs=o("h2"),Is=o("a"),qa=o("span"),E(Ws.$$.fragment),Ht=u(),Ia=o("span"),Bt=t("Train"),Xa=u(),E(Ds.$$.fragment),Za=u(),E(As.$$.fragment),et=u(),us=o("h2"),zs=o("a"),Da=o("span"),E(Qs.$$.fragment),Ut=u(),Aa=o("span"),Yt=t("Inference"),st=u(),ca=o("p"),Gt=t("Great, now that you\u2019ve finetuned a model, you can use it for inference!"),at=u(),ha=o("p"),Kt=t("Load an image for inference:"),tt=u(),E(Xs.$$.fragment),lt=u(),Zs=o("div"),fa=o("img"),nt=u(),E(Cs.$$.fragment),rt=u(),E(Ss.$$.fragment),ot=u(),cs=o("p"),Jt=t("To visualize the results, load the "),ea=o("a"),Rt=t("dataset color palette"),Vt=t(" as "),za=o("code"),Wt=t("ade_palette()"),Qt=t(" that maps each class to their RGB values. Then you can combine and plot your image and the predicted segmentation map:"),it=u(),E(sa.$$.fragment),pt=u(),aa=o("div"),ua=o("img"),this.h()},l(s){const h=Ql('[data-svelte="svelte-1phssyn"]',document.head);r=i(h,"META",{name:!0,content:!0}),h.forEach(a),f=g(s),n=i(s,"H1",{class:!0});var ta=p(n);d=i(ta,"A",{id:!0,class:!0,href:!0});var Ca=p(d);w=i(Ca,"SPAN",{});var Sa=p(w);P(y.$$.fragment,Sa),Sa.forEach(a),Ca.forEach(a),F=g(ta),O=i(ta,"SPAN",{});var Fa=p(O);M=l(Fa,"Semantic segmentation"),Fa.forEach(a),ta.forEach(a),L=g(s),P(N.$$.fragment,s),z=g(s),P(A.$$.fragment,s),U=g(s),x=i(s,"P",{});var La=p(x);re=l(La,"Semantic segmentation assigns a label or class to each individual pixel of an image. There are several types of segmentation, and in the case of semantic segmentation, no distinction is made between unique instances of the same object. Both objects are given the same label (for example, \u201Ccar\u201D instead of \u201Ccar-1\u201D and \u201Ccar-2\u201D). Common real-world applications of semantic segmentation include training self-driving cars to identify pedestrians and important traffic information, identifying cells and abnormalities in medical imagery, and monitoring environmental changes from satellite imagery."),La.forEach(a),C=g(s),Q=i(s,"P",{});var Oa=p(Q);v=l(Oa,"This guide will show you how to:"),Oa.forEach(a),H=g(s),B=i(s,"OL",{});var la=p(B);V=i(la,"LI",{});var gs=p(V);Z=l(gs,"Finetune "),ae=i(gs,"A",{href:!0,rel:!0});var Ma=p(ae);te=l(Ma,"SegFormer"),Ma.forEach(a),ne=l(gs," on the "),S=i(gs,"A",{href:!0,rel:!0});var tl=p(S);fe=l(tl,"SceneParse150"),tl.forEach(a),ce=l(gs," dataset."),gs.forEach(a),ue=g(la),X=i(la,"LI",{});var ll=p(X);oe=l(ll,"Use your finetuned model for inference."),ll.forEach(a),la.forEach(a),ee=g(s),P(Y.$$.fragment,s),ie=g(s),_=i(s,"P",{});var nl=p(_);K=l(nl,"Before you begin, make sure you have all the necessary libraries installed:"),nl.forEach(a),pe=g(s),P(_e.$$.fragment,s),he=g(s),ge=i(s,"P",{});var rl=p(ge);b=l(rl,"We encourage you to log in to your Hugging Face account so you can upload and share your model with the community. When prompted, enter your token to log in:"),rl.forEach(a),J=g(s),P(j.$$.fragment,s),se=g(s),$e=i(s,"H2",{class:!0});var ct=p($e);be=i(ct,"A",{id:!0,class:!0,href:!0});var ol=p(be);De=i(ol,"SPAN",{});var il=p(De);P(G.$$.fragment,il),il.forEach(a),ol.forEach(a),Ce=g(ct),ve=i(ct,"SPAN",{});var pl=p(ve);qe=l(pl,"Load SceneParse150 dataset"),pl.forEach(a),ct.forEach(a),Pe=g(s),ke=i(s,"P",{});var ml=p(ke);xe=l(ml,"Start by loading a smaller subset of the SceneParse150 dataset from the \u{1F917} Datasets library. This\u2019ll give you a chance to experiment and make sure everything works before spending more time training on the full dataset."),ml.forEach(a),Ie=g(s),P(ye.$$.fragment,s),je=g(s),we=i(s,"P",{});var ga=p(we);Ne=l(ga,"Split the dataset\u2019s "),Fe=i(ga,"CODE",{});var cl=p(Fe);as=l(cl,"train"),cl.forEach(a),Ye=l(ga," split into a train and test set with the "),Le=i(ga,"A",{href:!0,rel:!0});var hl=p(Le);Oe=l(hl,"train_test_split"),hl.forEach(a),Me=l(ga," method:"),ga.forEach(a),k=g(s),P(le.$$.fragment,s),Se=g(s),Ge=i(s,"P",{});var fl=p(Ge);He=l(fl,"Then take a look at an example:"),fl.forEach(a),de=g(s),P(ze.$$.fragment,s),Qe=g(s),Ee=i(s,"UL",{});var da=p(Ee);Ke=i(da,"LI",{});var Xt=p(Ke);Be=i(Xt,"CODE",{});var ul=p(Be);ns=l(ul,"image"),ul.forEach(a),rs=l(Xt,": a PIL image of the scene."),Xt.forEach(a),ts=g(da),Te=i(da,"LI",{});var Zt=p(Te);Je=i(Zt,"CODE",{});var gl=p(Je);Re=l(gl,"annotation"),gl.forEach(a),Xe=l(Zt,": a PIL image of the segmentation map, which is also the model\u2019s target."),Zt.forEach(a),ls=g(da),c=i(da,"LI",{});var na=p(c);R=i(na,"CODE",{});var dl=p(R);Ae=l(dl,"scene_category"),dl.forEach(a),ra=l(na,": a category id that describes the image scene like \u201Ckitchen\u201D or \u201Coffice\u201D. In this guide, you\u2019ll only need "),ds=i(na,"CODE",{});var _l=p(ds);_s=l(_l,"image"),_l.forEach(a),oa=l(na," and "),$s=i(na,"CODE",{});var $l=p($s);ia=l($l,"annotation"),$l.forEach(a),bs=l(na,", both of which are PIL images."),na.forEach(a),da.forEach(a),Ms=g(s),Ve=i(s,"P",{});var _a=p(Ve);js=l(_a,"You\u2019ll also want to create a dictionary that maps a label id to a label class which will be useful when you set up the model later. Download the mappings from the Hub and create the "),vs=i(_a,"CODE",{});var bl=p(vs);Ze=l(bl,"id2label"),bl.forEach(a),pa=l(_a," and "),ys=i(_a,"CODE",{});var jl=p(ys);ma=l(jl,"label2id"),jl.forEach(a),Ue=l(_a," dictionaries:"),_a.forEach(a),Ns=g(s),P(os.$$.fragment,s),Hs=g(s),es=i(s,"H2",{class:!0});var ht=p(es);We=i(ht,"A",{id:!0,class:!0,href:!0});var vl=p(We);ws=i(vl,"SPAN",{});var yl=p(ws);P(is.$$.fragment,yl),yl.forEach(a),vl.forEach(a),_t=g(ht),wa=i(ht,"SPAN",{});var wl=p(wa);$t=l(wl,"Preprocess"),wl.forEach(a),ht.forEach(a),Na=g(s),ps=i(s,"P",{});var $a=p(ps);bt=l($a,"The next step is to load a SegFormer image processor to prepare the images and annotations for the model. Some datasets, like this one, use the zero-index as the background class. However, the background class isn\u2019t actually included in the 150 classes, so you\u2019ll need to set "),ka=i($a,"CODE",{});var kl=p(ka);jt=l(kl,"reduce_labels=True"),kl.forEach(a),vt=l($a," to subtract one from all the labels. The zero-index is replaced by "),xa=i($a,"CODE",{});var xl=p(xa);yt=l(xl,"255"),xl.forEach(a),wt=l($a," so it\u2019s ignored by SegFormer\u2019s loss function:"),$a.forEach(a),Ha=g(s),P(Bs.$$.fragment,s),Ba=g(s),P(ks.$$.fragment,s),Ua=g(s),P(xs.$$.fragment,s),Ya=g(s),hs=i(s,"H2",{class:!0});var ft=p(hs);Es=i(ft,"A",{id:!0,class:!0,href:!0});var El=p(Es);Ea=i(El,"SPAN",{});var Pl=p(Ea);P(Us.$$.fragment,Pl),Pl.forEach(a),El.forEach(a),kt=g(ft),Pa=i(ft,"SPAN",{});var Tl=p(Pa);xt=l(Tl,"Evaluate"),Tl.forEach(a),ft.forEach(a),Ga=g(s),ss=i(s,"P",{});var Fs=p(ss);Et=l(Fs,"Including a metric during training is often helpful for evaluating your model\u2019s performance. You can quickly load a evaluation method with the \u{1F917} "),Ys=i(Fs,"A",{href:!0,rel:!0});var ql=p(Ys);Pt=l(ql,"Evaluate"),ql.forEach(a),Tt=l(Fs," library. For this task, load the "),Gs=i(Fs,"A",{href:!0,rel:!0});var Il=p(Gs);qt=l(Il,"mean Intersection over Union"),Il.forEach(a),It=l(Fs," (IoU) metric (see the \u{1F917} Evaluate "),Ks=i(Fs,"A",{href:!0,rel:!0});var Dl=p(Ks);Dt=l(Dl,"quick tour"),Dl.forEach(a),At=l(Fs," to learn more about how to load and compute a metric):"),Fs.forEach(a),Ka=g(s),P(Js.$$.fragment,s),Ja=g(s),ms=i(s,"P",{});var ba=p(ms);zt=l(ba,"Then create a function to "),Rs=i(ba,"A",{href:!0,rel:!0});var Al=p(Rs);Ct=l(Al,"compute"),Al.forEach(a),St=l(ba,` the metrics. Your predictions need to be converted to
logits first, and then reshaped to match the size of the labels before you can call `),Vs=i(ba,"A",{href:!0,rel:!0});var zl=p(Vs);Ft=l(zl,"compute"),zl.forEach(a),Lt=l(ba,":"),ba.forEach(a),Ra=g(s),P(Ps.$$.fragment,s),Va=g(s),P(Ts.$$.fragment,s),Wa=g(s),qs=i(s,"P",{});var ut=p(qs);Ot=l(ut,"Your "),Ta=i(ut,"CODE",{});var Cl=p(Ta);Mt=l(Cl,"compute_metrics"),Cl.forEach(a),Nt=l(ut," function is ready to go now, and you\u2019ll return to it when you setup your training."),ut.forEach(a),Qa=g(s),fs=i(s,"H2",{class:!0});var gt=p(fs);Is=i(gt,"A",{id:!0,class:!0,href:!0});var Sl=p(Is);qa=i(Sl,"SPAN",{});var Fl=p(qa);P(Ws.$$.fragment,Fl),Fl.forEach(a),Sl.forEach(a),Ht=g(gt),Ia=i(gt,"SPAN",{});var Ll=p(Ia);Bt=l(Ll,"Train"),Ll.forEach(a),gt.forEach(a),Xa=g(s),P(Ds.$$.fragment,s),Za=g(s),P(As.$$.fragment,s),et=g(s),us=i(s,"H2",{class:!0});var dt=p(us);zs=i(dt,"A",{id:!0,class:!0,href:!0});var Ol=p(zs);Da=i(Ol,"SPAN",{});var Ml=p(Da);P(Qs.$$.fragment,Ml),Ml.forEach(a),Ol.forEach(a),Ut=g(dt),Aa=i(dt,"SPAN",{});var Nl=p(Aa);Yt=l(Nl,"Inference"),Nl.forEach(a),dt.forEach(a),st=g(s),ca=i(s,"P",{});var Hl=p(ca);Gt=l(Hl,"Great, now that you\u2019ve finetuned a model, you can use it for inference!"),Hl.forEach(a),at=g(s),ha=i(s,"P",{});var Bl=p(ha);Kt=l(Bl,"Load an image for inference:"),Bl.forEach(a),tt=g(s),P(Xs.$$.fragment,s),lt=g(s),Zs=i(s,"DIV",{class:!0});var Ul=p(Zs);fa=i(Ul,"IMG",{src:!0,alt:!0}),Ul.forEach(a),nt=g(s),P(Cs.$$.fragment,s),rt=g(s),P(Ss.$$.fragment,s),ot=g(s),cs=i(s,"P",{});var ja=p(cs);Jt=l(ja,"To visualize the results, load the "),ea=i(ja,"A",{href:!0,rel:!0});var Yl=p(ea);Rt=l(Yl,"dataset color palette"),Yl.forEach(a),Vt=l(ja," as "),za=i(ja,"CODE",{});var Gl=p(za);Wt=l(Gl,"ade_palette()"),Gl.forEach(a),Qt=l(ja," that maps each class to their RGB values. Then you can combine and plot your image and the predicted segmentation map:"),ja.forEach(a),it=g(s),P(sa.$$.fragment,s),pt=g(s),aa=i(s,"DIV",{class:!0});var Kl=p(aa);ua=i(Kl,"IMG",{src:!0,alt:!0}),Kl.forEach(a),this.h()},h(){$(r,"name","hf:doc:metadata"),$(r,"content",JSON.stringify(yn)),$(d,"id","semantic-segmentation"),$(d,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(d,"href","#semantic-segmentation"),$(n,"class","relative group"),$(ae,"href","https://huggingface.co/docs/transformers/main/en/model_doc/segformer#segformer"),$(ae,"rel","nofollow"),$(S,"href","https://huggingface.co/datasets/scene_parse_150"),$(S,"rel","nofollow"),$(be,"id","load-sceneparse150-dataset"),$(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(be,"href","#load-sceneparse150-dataset"),$($e,"class","relative group"),$(Le,"href","https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset.train_test_split"),$(Le,"rel","nofollow"),$(We,"id","preprocess"),$(We,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(We,"href","#preprocess"),$(es,"class","relative group"),$(Es,"id","evaluate"),$(Es,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(Es,"href","#evaluate"),$(hs,"class","relative group"),$(Ys,"href","https://huggingface.co/docs/evaluate/index"),$(Ys,"rel","nofollow"),$(Gs,"href","https://huggingface.co/spaces/evaluate-metric/accuracy"),$(Gs,"rel","nofollow"),$(Ks,"href","https://huggingface.co/docs/evaluate/a_quick_tour"),$(Ks,"rel","nofollow"),$(Rs,"href","https://huggingface.co/docs/evaluate/main/en/package_reference/main_classes#evaluate.EvaluationModule.compute"),$(Rs,"rel","nofollow"),$(Vs,"href","https://huggingface.co/docs/evaluate/main/en/package_reference/main_classes#evaluate.EvaluationModule.compute"),$(Vs,"rel","nofollow"),$(Is,"id","train"),$(Is,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(Is,"href","#train"),$(fs,"class","relative group"),$(zs,"id","inference"),$(zs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(zs,"href","#inference"),$(us,"class","relative group"),Jl(fa.src,sl="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/semantic-seg-image.png")||$(fa,"src",sl),$(fa,"alt","Image of bedroom"),$(Zs,"class","flex justify-center"),$(ea,"href","https://github.com/tensorflow/models/blob/3f1ca33afe3c1631b733ea7e40c294273b9e406d/research/deeplab/utils/get_dataset_colormap.py#L51"),$(ea,"rel","nofollow"),Jl(ua.src,al="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/semantic-seg-preds.png")||$(ua,"src",al),$(ua,"alt","Image of bedroom overlaid with segmentation map"),$(aa,"class","flex justify-center")},m(s,h){e(document.head,r),m(s,f,h),m(s,n,h),e(n,d),e(d,w),T(y,w,null),e(n,F),e(n,O),e(O,M),m(s,L,h),T(N,s,h),m(s,z,h),T(A,s,h),m(s,U,h),m(s,x,h),e(x,re),m(s,C,h),m(s,Q,h),e(Q,v),m(s,H,h),m(s,B,h),e(B,V),e(V,Z),e(V,ae),e(ae,te),e(V,ne),e(V,S),e(S,fe),e(V,ce),e(B,ue),e(B,X),e(X,oe),m(s,ee,h),T(Y,s,h),m(s,ie,h),m(s,_,h),e(_,K),m(s,pe,h),T(_e,s,h),m(s,he,h),m(s,ge,h),e(ge,b),m(s,J,h),T(j,s,h),m(s,se,h),m(s,$e,h),e($e,be),e(be,De),T(G,De,null),e($e,Ce),e($e,ve),e(ve,qe),m(s,Pe,h),m(s,ke,h),e(ke,xe),m(s,Ie,h),T(ye,s,h),m(s,je,h),m(s,we,h),e(we,Ne),e(we,Fe),e(Fe,as),e(we,Ye),e(we,Le),e(Le,Oe),e(we,Me),m(s,k,h),T(le,s,h),m(s,Se,h),m(s,Ge,h),e(Ge,He),m(s,de,h),T(ze,s,h),m(s,Qe,h),m(s,Ee,h),e(Ee,Ke),e(Ke,Be),e(Be,ns),e(Ke,rs),e(Ee,ts),e(Ee,Te),e(Te,Je),e(Je,Re),e(Te,Xe),e(Ee,ls),e(Ee,c),e(c,R),e(R,Ae),e(c,ra),e(c,ds),e(ds,_s),e(c,oa),e(c,$s),e($s,ia),e(c,bs),m(s,Ms,h),m(s,Ve,h),e(Ve,js),e(Ve,vs),e(vs,Ze),e(Ve,pa),e(Ve,ys),e(ys,ma),e(Ve,Ue),m(s,Ns,h),T(os,s,h),m(s,Hs,h),m(s,es,h),e(es,We),e(We,ws),T(is,ws,null),e(es,_t),e(es,wa),e(wa,$t),m(s,Na,h),m(s,ps,h),e(ps,bt),e(ps,ka),e(ka,jt),e(ps,vt),e(ps,xa),e(xa,yt),e(ps,wt),m(s,Ha,h),T(Bs,s,h),m(s,Ba,h),T(ks,s,h),m(s,Ua,h),T(xs,s,h),m(s,Ya,h),m(s,hs,h),e(hs,Es),e(Es,Ea),T(Us,Ea,null),e(hs,kt),e(hs,Pa),e(Pa,xt),m(s,Ga,h),m(s,ss,h),e(ss,Et),e(ss,Ys),e(Ys,Pt),e(ss,Tt),e(ss,Gs),e(Gs,qt),e(ss,It),e(ss,Ks),e(Ks,Dt),e(ss,At),m(s,Ka,h),T(Js,s,h),m(s,Ja,h),m(s,ms,h),e(ms,zt),e(ms,Rs),e(Rs,Ct),e(ms,St),e(ms,Vs),e(Vs,Ft),e(ms,Lt),m(s,Ra,h),T(Ps,s,h),m(s,Va,h),T(Ts,s,h),m(s,Wa,h),m(s,qs,h),e(qs,Ot),e(qs,Ta),e(Ta,Mt),e(qs,Nt),m(s,Qa,h),m(s,fs,h),e(fs,Is),e(Is,qa),T(Ws,qa,null),e(fs,Ht),e(fs,Ia),e(Ia,Bt),m(s,Xa,h),T(Ds,s,h),m(s,Za,h),T(As,s,h),m(s,et,h),m(s,us,h),e(us,zs),e(zs,Da),T(Qs,Da,null),e(us,Ut),e(us,Aa),e(Aa,Yt),m(s,st,h),m(s,ca,h),e(ca,Gt),m(s,at,h),m(s,ha,h),e(ha,Kt),m(s,tt,h),T(Xs,s,h),m(s,lt,h),m(s,Zs,h),e(Zs,fa),m(s,nt,h),T(Cs,s,h),m(s,rt,h),T(Ss,s,h),m(s,ot,h),m(s,cs,h),e(cs,Jt),e(cs,ea),e(ea,Rt),e(cs,Vt),e(cs,za),e(za,Wt),e(cs,Qt),m(s,it,h),T(sa,s,h),m(s,pt,h),m(s,aa,h),e(aa,ua),mt=!0},p(s,[h]){const ta={};h&2&&(ta.$$scope={dirty:h,ctx:s}),Y.$set(ta);const Ca={};h&2&&(Ca.$$scope={dirty:h,ctx:s}),ks.$set(Ca);const Sa={};h&2&&(Sa.$$scope={dirty:h,ctx:s}),xs.$set(Sa);const Fa={};h&2&&(Fa.$$scope={dirty:h,ctx:s}),Ps.$set(Fa);const La={};h&2&&(La.$$scope={dirty:h,ctx:s}),Ts.$set(La);const Oa={};h&2&&(Oa.$$scope={dirty:h,ctx:s}),Ds.$set(Oa);const la={};h&2&&(la.$$scope={dirty:h,ctx:s}),As.$set(la);const gs={};h&2&&(gs.$$scope={dirty:h,ctx:s}),Cs.$set(gs);const Ma={};h&2&&(Ma.$$scope={dirty:h,ctx:s}),Ss.$set(Ma)},i(s){mt||(q(y.$$.fragment,s),q(N.$$.fragment,s),q(A.$$.fragment,s),q(Y.$$.fragment,s),q(_e.$$.fragment,s),q(j.$$.fragment,s),q(G.$$.fragment,s),q(ye.$$.fragment,s),q(le.$$.fragment,s),q(ze.$$.fragment,s),q(os.$$.fragment,s),q(is.$$.fragment,s),q(Bs.$$.fragment,s),q(ks.$$.fragment,s),q(xs.$$.fragment,s),q(Us.$$.fragment,s),q(Js.$$.fragment,s),q(Ps.$$.fragment,s),q(Ts.$$.fragment,s),q(Ws.$$.fragment,s),q(Ds.$$.fragment,s),q(As.$$.fragment,s),q(Qs.$$.fragment,s),q(Xs.$$.fragment,s),q(Cs.$$.fragment,s),q(Ss.$$.fragment,s),q(sa.$$.fragment,s),mt=!0)},o(s){I(y.$$.fragment,s),I(N.$$.fragment,s),I(A.$$.fragment,s),I(Y.$$.fragment,s),I(_e.$$.fragment,s),I(j.$$.fragment,s),I(G.$$.fragment,s),I(ye.$$.fragment,s),I(le.$$.fragment,s),I(ze.$$.fragment,s),I(os.$$.fragment,s),I(is.$$.fragment,s),I(Bs.$$.fragment,s),I(ks.$$.fragment,s),I(xs.$$.fragment,s),I(Us.$$.fragment,s),I(Js.$$.fragment,s),I(Ps.$$.fragment,s),I(Ts.$$.fragment,s),I(Ws.$$.fragment,s),I(Ds.$$.fragment,s),I(As.$$.fragment,s),I(Qs.$$.fragment,s),I(Xs.$$.fragment,s),I(Cs.$$.fragment,s),I(Ss.$$.fragment,s),I(sa.$$.fragment,s),mt=!1},d(s){a(r),s&&a(f),s&&a(n),D(y),s&&a(L),D(N,s),s&&a(z),D(A,s),s&&a(U),s&&a(x),s&&a(C),s&&a(Q),s&&a(H),s&&a(B),s&&a(ee),D(Y,s),s&&a(ie),s&&a(_),s&&a(pe),D(_e,s),s&&a(he),s&&a(ge),s&&a(J),D(j,s),s&&a(se),s&&a($e),D(G),s&&a(Pe),s&&a(ke),s&&a(Ie),D(ye,s),s&&a(je),s&&a(we),s&&a(k),D(le,s),s&&a(Se),s&&a(Ge),s&&a(de),D(ze,s),s&&a(Qe),s&&a(Ee),s&&a(Ms),s&&a(Ve),s&&a(Ns),D(os,s),s&&a(Hs),s&&a(es),D(is),s&&a(Na),s&&a(ps),s&&a(Ha),D(Bs,s),s&&a(Ba),D(ks,s),s&&a(Ua),D(xs,s),s&&a(Ya),s&&a(hs),D(Us),s&&a(Ga),s&&a(ss),s&&a(Ka),D(Js,s),s&&a(Ja),s&&a(ms),s&&a(Ra),D(Ps,s),s&&a(Va),D(Ts,s),s&&a(Wa),s&&a(qs),s&&a(Qa),s&&a(fs),D(Ws),s&&a(Xa),D(Ds,s),s&&a(Za),D(As,s),s&&a(et),s&&a(us),D(Qs),s&&a(st),s&&a(ca),s&&a(at),s&&a(ha),s&&a(tt),D(Xs,s),s&&a(lt),s&&a(Zs),s&&a(nt),D(Cs,s),s&&a(rt),D(Ss,s),s&&a(ot),s&&a(cs),s&&a(it),D(sa,s),s&&a(pt),s&&a(aa)}}}const yn={local:"semantic-segmentation",sections:[{local:"load-sceneparse150-dataset",title:"Load SceneParse150 dataset"},{local:"preprocess",title:"Preprocess"},{local:"evaluate",title:"Evaluate"},{local:"train",title:"Train"},{local:"inference",title:"Inference"}],title:"Semantic segmentation"};function wn(W){return Xl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Dn extends Rl{constructor(r){super();Vl(this,r,wn,vn,Wl,{})}}export{Dn as default,yn as metadata};
